;$Id: pcomp_Ft.pro,v 1.3 2020/08/29 04:05:55 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M1152e_exp6k4_sig1d_n067'
dir2='M1152e_exp6k4_sig1d_n1'
dir3='M1152e_exp6k4_sig1d'
dir4='M1152e_exp6k4_sig1e'
dir5='M1152e_exp6k4_sig1f'
dir6='M1152e_exp6k4_sig1g'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
pc_read_ts,o=ts5,datadir='../'+dir5+'/data'
pc_read_ts,o=ts6,datadir='../'+dir6+'/data'
;
;!p.multi=[0,1,2]
!x.range=[1,1.67]
!x.title='!8t!6'
!y.title='!13E!6!dGW!n(!8t!6)  and  !13E!6!dM!n(!8t!6)'
;
xr=minmax(ts1.t)
yr=[1e-11,1e-2]
yr=[1e-10,1.4e-10]
plot_io,ts1.t,ts1.EEM,yr=yr,li=2
plot,ts1.t,ts1.EEM,yr=yr,li=2
oplot,ts1.t,ts1.EEGW
oplot,ts2.t,ts2.EEGW,col=122
oplot,ts3.t,ts3.EEGW,col=122
oplot,ts4.t,ts4.EEGW,col=122
oplot,ts5.t,ts5.EEGW,col=55
oplot,ts6.t,ts6.EEGW,col=55
;
EEGW1m=mean(ts1.EEGW[1:*])
EEGW1rms=mean((ts1.EEGW[1:*]-EEGW1m)^2)^.5
print,'EEGW1rms/EEGW1m=',EEGW1rms/EEGW1m

;
p1=linfit(ts1.t[1:*],alog(ts1.EEGW[1:*])) & oplot,xr,exp(xr*p1[1]+p1[0])
p2=linfit(ts2.t[1:*],alog(ts2.EEGW[1:*])) & oplot,xr,exp(xr*p2[1]+p2[0])
;
print,"$mv idl.ps ~/tex/notes/GW_decay_compens/fig/pcomp_Ft.ps"
END
