;$Id: pcomp_exp.pro,v 1.1 2018/07/03 11:03:47 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[9.8,.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M144_k10b_noexp'
dir1='M144_k10a_exp'
dir1='M144_k10d_exp'
dir2='M144_k10b_exp'
dir3='M144_k10c_exp'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
;
!p.multi=0
!x.range=[1.,20]
!y.range=[1e-5,5e-0]
!x.title="!8t!6"
!y.title="!8c!6!u2!n!8k!6!s!u2!n!r!dGW!n!13E!6!s!dGW!n / !7p!8G!6(!8t-t!6!d0!n)!u2!n!13E!8!di!n!6"
;
plot_oo,ts1.t,ts1.EEGW
oplot,ts2.t,ts2.EEGW,col=122,li=2
oplot,ts3.t,ts3.EEGW,col=55,li=3
;
print,"$mv idl.ps ~/tex/roper/GW/fig/pcompt.ps"
;
END
