;$Id: pgrah_comp.pro,v 1.9 2020/10/29 06:56:03 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=14,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.5
!x.margin=[7.5,.3]
!y.margin=[3.1,.2]
;
!p.multi=[0,1,2]
!x.range=[90.,27000.]
;
dirK1='K512sig0_k6_ramp1a'
dirK2='K512sig01_k6_ramp1a'
dirK2='K512sig01_k6_ramp1c'
dirK3='K512sig03_k6_ramp1a'
dirK4='K512sig05_k6_ramp1a'
dirK5='K512sig1_k6_ramp1a'
;
dirM1='M512sig0_k6_ramp1a'
dirM2='M512sig01_k6_ramp1b'
dirM2='M512sig01_k6_ramp1c'
dirM3='M512sig03_k6_ramp1a'
dirM4='M512sig05_k6_ramp1a'
dirM5='M512sig1_k6_ramp1a'
;
col2=55
col3=122
col4=155
col5=122
;
xout=110.
yout=.86
;
;-----------------------------------------------------------------------------
!x.title='!6'
!y.title='!13P!6(!8k!6)'
;
restore,"../"+dirK1+"/grahm.sav"
plot_oi,k[1:*],grahrm[1:*],yr=[-.2,1] 
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*]
oplot,!x.range,[0.,0.]
;
restore,"../"+dirK2+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col2
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col2,li=1
;
loadct,6
restore,"../"+dirK3+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col3
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col3,li=1
loadct,5
;
restore,"../"+dirK4+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col4
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col4,li=1
;
restore,"../"+dirK5+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col5
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col5,li=1
;
xyouts,xout,yout,siz=siz,'!6(a)'
;-----------------------------------------------------------------------------
!x.title='!8k!6'
;
restore,"../"+dirM1+"/grahm.sav"
plot_oi,k[1:*],grahrm[1:*],yr=[-.2,1] 
grahre[1:*]=grahre[1:*]+2.0/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*]
oplot,!x.range,[0.,0.]
;
restore,"../"+dirM2+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col2
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col2,li=1
;
loadct,6
restore,"../"+dirM3+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col3
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col3,li=1
loadct,5
;
restore,"../"+dirM4+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col4
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col4,li=1
;
restore,"../"+dirM5+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col5
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
errplot,k[1:*],grahrm[1:*]-grahre[1:*],grahrm[1:*]+grahre[1:*],col=col5,li=1
;
xyouts,xout,yout,siz=siz,'!6(b)'
;-----------------------------------------------------------------------------
!p.charsize=1.0
!x.range=[300.,27000.]
x1=.82 & x2=.97 & y1=.88 & y2=.38 & dy=.09
;
!p.position=[x1,y1,x2,y1+dy]
plot_oo,k[1:*],grahrm[1:*],yr=[.05,1],/noerase,/nodata
;
restore,"../"+dirK2+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col2
;
loadct,6
restore,"../"+dirK3+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col3
loadct,5
;
restore,"../"+dirK5+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col5
xx=[3e3,1.8e4] & oplot,xx,5e1/xx^.55
;
;-----------------------------------------------------------------------------
!p.position=[x1,y2,x2,y2+dy]
plot_oo,k[1:*],grahrm[1:*],yr=[.05,1],/noerase,/nodata
xx=[3e3,1.8e4] & oplot,xx,7e1/xx^.55
;
restore,"../"+dirM2+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col2
;
loadct,6
restore,"../"+dirM3+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col3
loadct,5
;
restore,"../"+dirM5+"/grahm.sav"
oplot,k[1:*],grahrm[1:*],col=col5
;
!p.position=0
print,"$mv idl.ps ~/tex/tina/CircPol/fig/pgrah_comp.ps"
END
