;$Id: pgrah_spec_comp.pro,v 1.1 2020/10/24 16:38:43 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=10,yoffset=3
  !p.charthick=1.6 & !p.thick=1.6 & !x.thick=1.6 & !y.thick=1.6
end
;
siz=1.0
!p.charsize=1.0
!x.margin=[8.3,.5]
!y.margin=[3.1,.4]
;
!p.multi=[0,2,2]
!x.range=[90.,27000.]
yr=[3e-27,1e-12]
;
dirK1='K512sig0_k6_ramp1a'
dirK2='K512sig01_k6_ramp1a'
dirK3='K512sig03_k6_ramp1a'
dirK4='K512sig05_k6_ramp1a'
dirK5='K512sig1_k6_ramp1a'
;
dirM1='M512sig0_k6_ramp1a'
dirM2='M512sig01_k6_ramp1b'
dirM3='M512sig03_k6_ramp1a'
dirM4='M512sig05_k6_ramp1a'
dirM5='M512sig1_k6_ramp1a'
;
col2=55
col3=122
col4=155
col5=122
;
xout=14000.
yout=2e-14
;
;-----------------------------------------------------------------------------
!x.title='!6'
!y.title='!8H!6(!8k!6)'
;
restore,"../"+dirK1+"/grahm.sav"
plot_oo,k[1:*],grah1m[1:*],yr=yr
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*]
oplot,!x.range,[0.,0.]
;
restore,"../"+dirK2+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col2
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col2,li=1
;
loadct,6
restore,"../"+dirK3+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col3
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col3,li=1
loadct,5
;
restore,"../"+dirK4+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col4
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col4,li=1
;
restore,"../"+dirK5+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col5
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col5,li=1
;
xyouts,xout,yout,siz=siz,'!6(a)'
;-----------------------------------------------------------------------------
!y.title='!9!!!13H!6(!8k!6)!9!!!6'
;
restore,"../"+dirK1+"/grahm.sav"
plot_oo,k[1:*],abs(grah2m[1:*]),yr=yr
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*]
oplot,!x.range,[0.,0.]
;
restore,"../"+dirK2+"/grahm.sav"
oplot,k[1:*],abs(grah2m[1:*]),col=col2
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col2,li=1
;
loadct,6
restore,"../"+dirK3+"/grahm.sav"
oplot,k[1:*],grah2m[1:*],col=col3
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col3,li=1
loadct,5
;
restore,"../"+dirK4+"/grahm.sav"
oplot,k[1:*],grah2m[1:*],col=col4
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col4,li=1
;
restore,"../"+dirK5+"/grahm.sav"
oplot,k[1:*],grah2m[1:*],col=col5
grahre[1:*]=grahre[1:*]+2.5/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col5,li=1
;
xyouts,xout,yout,siz=siz,'!6(b)'
;=============================================================================
!x.title='!8k!6'
!y.title='!8H!6(!8k!6)'
;
restore,"../"+dirM1+"/grahm.sav"
plot_oo,k[1:*],grah1m[1:*],yr=yr
grahre[1:*]=grahre[1:*]+2.0/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*]
oplot,!x.range,[0.,0.]
;
restore,"../"+dirM2+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col2
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col2,li=1
;
loadct,6
restore,"../"+dirM3+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col3
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col3,li=1
loadct,5
;
restore,"../"+dirM4+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col4
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col4,li=1
;
restore,"../"+dirM5+"/grahm.sav"
oplot,k[1:*],grah1m[1:*],col=col5
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah1m[1:*]-grahre[1:*],grah1m[1:*]+grahre[1:*],col=col5,li=1
;
xyouts,xout,yout,siz=siz,'!6(c)'
;-----------------------------------------------------------------------------
!y.title='!9!!!13H!6(!8k!6)!9!!!6'
;
restore,"../"+dirM1+"/grahm.sav"
plot_oo,k[1:*],abs(grah2m[1:*]),yr=yr
grahre[1:*]=grahre[1:*]+2.0/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*]
oplot,!x.range,[0.,0.]
;
restore,"../"+dirM2+"/grahm.sav"
oplot,k[1:*],abs(grah2m[1:*]),col=col2
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col2,li=1
;
loadct,6
restore,"../"+dirM3+"/grahm.sav"
oplot,k[1:*],grah2m[1:*],col=col3
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col3,li=1
loadct,5
;
restore,"../"+dirM4+"/grahm.sav"
oplot,k[1:*],grah2m[1:*],col=col4
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col4,li=1
;
restore,"../"+dirM5+"/grahm.sav"
oplot,k[1:*],grah2m[1:*],col=col5
grahre[1:*]=grahre[1:*]+2.2/k[1:*]^.5
;errplot,k[1:*],grah2m[1:*]-grahre[1:*],grah2m[1:*]+grahre[1:*],col=col5,li=1
;
xyouts,xout,yout,siz=siz,'!6(d)'
;-----------------------------------------------------------------------------
;!p.charsize=1.0
;!x.range=[300.,27000.]
;x1=.82 & x2=.97 & y1=.88 & y2=.38 & dy=.09
;
;!p.position=[x1,y1,x2,y1+dy]
;plot_oo,k[1:*],grah2m[1:*],yr=[.05,1],/noerase,/nodata
;
;restore,"../"+dirK2+"/grahm.sav"
;oplot,k[1:*],grah1m[1:*],col=col2
;
;loadct,6
;restore,"../"+dirK3+"/grahm.sav"
;oplot,k[1:*],grah1m[1:*],col=col3
;loadct,5
;
;restore,"../"+dirK5+"/grahm.sav"
;oplot,k[1:*],grah1m[1:*],col=col5
;xx=[3e3,1.8e4] & oplot,xx,5e1/xx^.55
;
;-----------------------------------------------------------------------------
;!p.position=[x1,y2,x2,y2+dy]
;plot_oo,k[1:*],grah1m[1:*],yr=[.05,1],/noerase,/nodata
;xx=[3e3,1.8e4] & oplot,xx,7e1/xx^.55
;
;restore,"../"+dirM2+"/grahm.sav"
;oplot,k[1:*],grah1m[1:*],col=col2
;
loadct,6
;restore,"../"+dirM3+"/grahm.sav"
;oplot,k[1:*],grah1m[1:*],col=col3
loadct,5
;
;restore,"../"+dirM5+"/grahm.sav"
;oplot,k[1:*],grah1m[1:*],col=col5
;
!p.position=0
print,"$mv idl.ps ~/tex/tina/CircPol/fig/pgrah_spec_comp.ps"
END
