;$Id: pkurt.pro,v 1.2 2019/12/22 21:24:52 brandenb Exp $
@parameters
if !d.name eq 'PS' then begin
  if mag then device,xsize=18,ysize=16,yoffset=3 else device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.5]
;
default,mag,0
if mag then !p.multi=[0,1,2] else !p.multi=0
if mag then !x.title='!6' else !x.title='!8t!6'
;
pc_read_ts,obj=ts
plot,ts.t,ts.ux4m/ts.ux2m^2-3.,yr=[-1,1],ytit='!6kurt !8u!6'
oplot,ts.t,ts.uy4m/ts.uy2m^2-3.,li=1
oplot,ts.t,ts.uz4m/ts.uz2m^2-3.,li=2
oplot,minmax(ts.t),[0,0]
;
if mag then begin
  !x.title='!8t!6'
  plot,ts.t,ts.bx4m/ts.bx2m^2-3.,yr=[-1,1]*.7,ytit='!6kurt !8B!6'
  oplot,ts.t,ts.by4m/ts.by2m^2-3.,li=1
  oplot,ts.t,ts.bz4m/ts.bz2m^2-3.,li=2
endif
;
cwd,run
print,'$mv idl.ps ~/tex/sayan/GW/fig/pkurt_'+run+'.ps'
END
