;$Id: pomegas.pro,v 1.4 2019/03/02 02:36:05 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/roper/PencilGW/fig/pomegas.ps
;
!p.charsize=1.7
!x.margin=[4.2,.5]
!y.margin=[3.2,.5]
;
;  Before running this routine, load data by doing first:
;    IDL> .r pspecm
;
;
!x.title='!8ck!6/!8H!6!d*!n'
!y.title='!6'
plot_oo,k[1:*],k[1:*],xr=[1,576]*100.,yr=[1,1e5],/nodata
oplot,k[1:*],sqrt(2*k[1:*]*spec1m[1:*])*k[1:*],col=122
oplot,k[1:*],sqrt(2*k[1:*]*kine1m[1:*])*k[1:*],col=55
oplot,k[1:*],5e-8*k[1:*]^2,li=1
oplot,k[1:*],k[1:*],li=2
;
xyouts,3e3,8e3,'!7x!6/!8H!6!d*!n'
xyouts,1.4e4,4e3,'!8v!d!6A!8k!nk!6/!8H!6!d*!n',col=122
xyouts,4e3,3e2,'!8u!dk!nk!6/!8H!6!d*!n',col=55
xyouts,6e3,1.4e1,'!7m!8k!6!u2!n/!8H!6!d*!n'
END
