;$Id: power_frac.pro,v 1.2 2020/08/17 19:04:21 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=14,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.5]
!p.multi=[0,1,2]
@parameters
;
power,'_mag','hel_mag',k=k,spec1=spec1,spec2=spec2,i=n,tt=t,/noplot,/lks
yr_power_frac=[3e-9,3e-3] & yr_frac=[-.3,1.05]
;
it1=-1
it3=10
nt=n_elements(t)
it2=nt-1
col=grange(55,200,nt)
;
!x.title='!6'
!y.title='!8E!6!dM!n(!8k!6)'
plot_oo,k[1:*],spec1[1:*,it2],yr=yr_power_frac,/nodata
loadct,6
for it=it1,it2,it3 do oplot,k[1:*],spec1[1:*,it > 0],col=fix(col(it > 0))
loadct,5
;
!x.title='!8k!6'
!y.title='!8kH!6!dM!n(!8k!6)/2!8E!6!dM!n(!8k!6)'
plot_oi,k[1:*],k[1:*]*0,yr=yr_frac
loadct,6
for it=it1,it2,it3 do oplot,k[1:*],.5*k[1:*]*spec2[1:*,it > 0]/spec1[1:*,it > 0],col=col(it > 0)
for it=it1,it2,it3 do print,'t=',t[it > 0]
loadct,5
;
cwd,run
print,"$mv idl.ps ~/tex/notes/GW_decay_compens/fig/power_frac_"+run+".ps"
END
