;$Id: ppower_comp_noexp.pro,v 1.1 2018/07/03 11:03:47 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=18,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/roper/PencilGW/fig/ppower_comp.ps
;
!p.charsize=1.7
!x.margin=[5.8,.5]
!y.margin=[3.2,.2]
;
dir1='M144_k10b_exp'
dir2='M144_k10b_noexp'
;
power,'_GWs','_mag',k=k,spec1=spec1,spec2=spec1b,i=n,tt=t1,/noplot,datatopdir='../'+dir1+'/data'
power,'_GWs','_mag',k=k,spec1=spec2,spec2=spec2b,i=n,tt=t2,/noplot,datatopdir='../'+dir2+'/data'
;
!x.title='!6'
!y.title='!6'
!p.multi=[0,1,3]
!p.charsize=2.4
fo='(f6.1)'
siz=1.7
xx=1.2
th=8
;
yr=[1e-7,2e-2]
it=10 & itd2=0
print,t1[it],t2[it+itd2]
plot_oo,k[1:*],spec1[1:*,it],yr=yr
oplot,k[1:*],spec2[1:*,it+itd2],col=122,li=1,th=th
;
oplot,k[1:*],spec1b[1:*,it]
oplot,k[1:*],spec2b[1:*,it+itd2],col=122,li=1,th=th
xyouts,xx,3e-7,'!8tH!d*!n!6 = '+str(t1[it],fo=fo),siz=siz
;
yr=[1e-7,2e-2]
it=40 & itd2=0
print,t1[it],t2[it+itd2]
plot_oo,k[1:*],spec1[1:*,it],yr=yr
oplot,k[1:*],spec2[1:*,it+itd2],col=122,li=1,th=th
;
oplot,k[1:*],spec1b[1:*,it]
oplot,k[1:*],spec2b[1:*,it+itd2],col=122,li=1,th=th
xyouts,xx,3e-7,'!8tH!d*!n!6 = '+str(t1[it],fo=fo),siz=siz
;
yr=[1e-8,2e-2]
it=391 & itd2=1
!x.title='!8k!6/!8k!6!d1!n'
print,t1[it],t2[it+itd2]
plot_oo,k[1:*],spec1[1:*,it],yr=yr
oplot,k[1:*],spec2[1:*,it+itd2],col=122,li=1,th=th
;
oplot,k[1:*],spec1b[1:*,it]
oplot,k[1:*],spec2b[1:*,it+itd2],col=122,li=1,th=th
xyouts,xx,3e-8,'!8tH!d*!n!6 = '+str(t1[it],fo=fo),siz=siz
;
END
