$Id: pspecm_comp2.pro,v 1.1 2018/02/14 22:50:22 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=6,yoffset=3
  !p.charthick=2 & !p.thick=2 & !x.thick=2 & !y.thick=2
end
;
;  mv idl.ps ~/tex/tina/GW/fig/pspecm_comp.ps
;  mv idl.ps ~/tex/tina/GW/fig/pspecm_comp2.ps
;  mv idl.ps ~/tex/prop/NASA/2018/GW/fig/pspecm_comp.ps
;
siz=1.0
!p.charsize=1.0
!p.multi=[0,2,1]
!x.margin=[5.8,.5]
!y.margin=[3.2,.5]
;
dir1='M1152c'
dir1='M1152d'
dir2='M1152d'
dir2='M1152e'
;
half='!s!u 1!n!r!s-!r!d 2!n'
circ_sym,0.7,1
file='specm.sav'
yr1=[1e-22,1e-3]
yr2=[1e-21,1e-2]
;
;-----------------------------------------------------------------------------
restore,'../'+dir1+'/'+file
;
!x.title='!8k!6/!8k!6!d1!n'
;!y.title='!8E!6(!8k!6)  and  !8f!6(!8k!6)'
!y.title='!6'
xr=[1,max(k)]
plot_oo,k,spec1m,xr=xr,yr=yr1
oplot,k,.5*k*abs(spec2m),li=1
oplot,k,.5*k*spec2m,col=122,ps=8
oplot,k,-.5*k*spec2m,col=55,ps=8
circ_sym,0.5,1
oplot,k,grav1m
oplot,k,abs(grav2m),li=1
oplot,k,grav2m,col=122,ps=8
oplot,k,-grav2m,col=55,ps=8
xyouts,280.,8e-6,siz=siz,'!6(a)'
;
xyouts,1.4,2e-7,siz=siz,'!8E!6!dM!n(!8k,!7g!6)'
xyouts,30.,8e-9,siz=siz,half+'!8kH!6!dM!n(!8k,!7g!6)',col=122
;
xyouts,160.,2e-12,siz=siz,'!8f!6(!8k,!7g!6)'
xyouts,3.0,1e-18,siz=siz,'!8g!6(!8k,!7g!6)!6'
;
xx=[3.,20] & oplot,xx,6e-13*xx^4.5
xx=[3.,20] & oplot,xx,4e-12/xx^0.0
;
;-----------------------------------------------------------------------------
restore,'../'+dir2+'/'+file
;
!x.title='!8k!6/!8k!6!d1!n'
;!y.title='!8E!6(!8k!6)  and  !8f!6(!8k!6)'
!y.title='!6'
xr=[1,max(k)]
plot_oo,k,spec1m,xr=xr,yr=yr2
oplot,k,.5*k*abs(spec2m),li=1
oplot,k,.5*k*spec2m,col=122,ps=8
oplot,k,-.5*k*spec2m,col=55,ps=8
circ_sym,0.5,1
oplot,k,grav1m
oplot,k,abs(grav2m),li=1
oplot,k,grav2m,col=122,ps=8
oplot,k,-grav2m,col=55,ps=8
xyouts,280.,8e-5,siz=siz,'!6(b)'
;
xyouts,1.8,5e-6,siz=siz,'!8E!6!dM!n(!8k,!7g!6)'
xyouts,30.,8e-9,siz=siz,half+'!8kH!6!dM!n(!8k,!7g!6)',col=122
;
xyouts,160.,4e-13,siz=siz,'!8f!6(!8k,!7g!6)'
xyouts,4.0,3e-15,siz=siz,'!8g!6(!8k,!7g!6)!6'
;
xx=[8.,120] & oplot,xx,4e-2/xx^1.7
xx=[8.,80] & oplot,xx,3e-6/xx^3.7
;
END
