;$Id: pspecm_scl3n2_H1152.pro,v 1.1 2018/07/12 12:11:21 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=8,yoffset=3
  device,xsize=18,ysize=16,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/roper/GW/fig/pspecm_scl2.ps
;
dir1='H1152a'
dir2='H1152b'
fac16pi=(16.*!pi)^2
;
power,'_GWs','_kin',k=k,spec1=grav1,spec2=spec1,i=n,tt=t1,/noplot,datatopdir='../'+dir1+'/data'
power,'_GWs','_kin',k=k,spec1=grav2,spec2=spec2,i=n,tt=t2,/noplot,datatopdir='../'+dir2+'/data'
it1=14 & it2=14
grav1m=fac16pi*grav1[*,it1] & spec1m=spec1[*,it1] & tm1=t1[it1]
grav2m=fac16pi*grav2[*,it2] & spec2m=spec2[*,it2] & tm2=t2[it2]
print,'tm1,tm2=',tm1,tm2
;
siz=1.3
@parameters
!p.charsize=1.7
;!p.charsize=1.8
!x.margin=[7.6,0.5]
!y.margin=[3.2,0.2]
!p.multi=[0,1,2]
fac_h=1.263e-18
;
cwd,run
half='!s!u 1!n!r!s-!r!d 2!n'
;
;  determine normalization
;
k1=k & k1[0]=1. & k1=1./k1 & k1[0]=0.
EEM=total(spec1m)
kM=EEM/total(k1*spec1m)
kGW=sqrt(total(k^2*grav1m)/total(grav1m))
;
;grav1m=s*grav1m
;
!p.title='!6';+run
!x.title='!6'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n(!8f!6), !6!8h!6!s!d0!n!r!u2!n!7X!6!dkin!n(!8f!6)'
default,kin,0
default,hdone,1
ytickf='logticks_exp'
yr=[1e-14,1e-5]
yr=[1e-15,1e-5]
;
freq=3.3e-3
;
fac=4.1e-5
facGW=1./(32.*!pi)
xr=[8e-5,8e-1]
circ_sym,0.7,1
plot_oo,freq*k/kM,facGW*fac*k*grav1m,xr=xr,yr=yr,ytickf=ytickf
oplot,freq*k/kM,facGW*fac*k*grav2m,col=122
;
circ_sym,0.3,0
oplot,freq*k/kM,fac*k*spec1m
oplot,freq*k/kM,fac*k*spec2m,col=122
;
xyouts,2e-3,4e-13,'!6GW',siz=siz
xyouts,2e-3,1e-8,'!6kin',siz=siz
;
;@postproc
;
;xx=[3e-7,3e-3] & oplot,xx,1e-10/(xx/.001)
;xx=[3.2e-3,8e-2] & oplot,xx,3e-10*(xx/.01)^2
;xx=[3e-7,3e-3] & oplot,xx,1e-12/(xx/.001)
;xx=[3.2e-3,8e-2] & oplot,xx,3e-12*(xx/.01)^2
;
;loadct,6
;xx=6*[1.6e-3,0.7e-2] & oplot,xx,6*4.0e-7/(xx/.001)^0.667,col=122
;xx=6*[2.0e-3,1.0e-2] & oplot,xx,2.0e-7/(xx/.001)^2.667,col=122
;xyouts,.05,1e-7,'!9A!8f!6!u-2/3!n',col=122,siz=siz
;xyouts,.04,5e-13,'!9A!8f!6!u-8/3!n',col=122,siz=siz
;
;xx=[5e-4,1.4e-3] & oplot,xx,2e-7*(xx/.001)^5.,col=122
;xx=[5e-4,2.4e-3] & oplot,xx,1e-9*(xx/.001)^2.2,col=122
;xyouts,4e-4,5e-8,'!9A!8f!6!u5!n',col=122,siz=siz
;xyouts,2.7e-4,4e-11,'!9A!8f!6!u2.2!n',col=122,siz=siz
;loadct,5
;
;  Caprini+16, Cornish, Maggiore00 points
;
dir='~/tex/roper/PencilGW/data/'
file=dir+'Cornish.rtf'
c1=rtable(file,2,head=1)
;
file=dir+'Cornish20Yrs.dat'
c2=rtable(file,2,head=1)
oplot,10^c2[0,*],((10^c2[1,*]/fac_h)*10^c2[0,*])^2,li=3
;
file=dir+'Maggiore.rtf'
m1=rtable(file,2,head=1)
;
file=dir+'Caprini-C1.rtf'
a1=rtable(file,2,head=1)
oplot,10^a1[0,*],10^a1[1,*]
;
file=dir+'Caprini-C3.rtf'
a3=rtable(file,2,head=1)
oplot,10^a3[0,*],10^a3[1,*]
;
;  2nd panel
;
!y.title='!8h!6!dc!n(!8f!6)'
!x.title='!8f!6 [Hz]'
default,kin,0
default,hdone,1
ytickf='logticks_exp'
yr=[2e-23,3e-19]
yr=[8e-25,3e-19]
;
fach=1.263e-18/(freq*k/kM)
fach2=1.263e-18/(freq)
circ_sym,0.7,1
plot_oo,freq*k/kM,fach*sqrt(facGW*fac*k*grav1m),xr=xr,yr=yr,ytickf=ytickf
oplot,freq*k/kM,fach*sqrt(facGW*fac*k*grav2m),col=122
;
;oplot,freq*k/kM,6.2*fach2*sqrt(facGW*fac*k*grah1m),co=188
;
;@postproc
;
;xx=[3e-7,3e-3] & oplot,xx,(fac_h/xx)*sqrt(1e-10/(xx/.001))
;xx=[3.2e-3,8e-2] & oplot,xx,(fac_h/xx)*sqrt(3e-10*(xx/.01)^2)
;xx=[3e-7,3e-3] & oplot,xx,(fac_h/xx)*sqrt(1e-12/(xx/.001))
;xx=[3.2e-3,8e-2] & oplot,xx,(fac_h/xx)*sqrt(3e-12*(xx/.01)^2)
;
;  continous limits
;
oplot,10^c1[0,*],10^c1[1,*],li=2
oplot,10^c2[0,*],10^c2[1,*],li=3
;oplot,10^m1[0,*],10^m1[1,*],li=1
oplot,10^a1[0,*],fac_h*sqrt(10^a1[1,*])/10^a1[0,*]
oplot,10^a3[0,*],fac_h*sqrt(10^a3[1,*])/10^a3[0,*]
;
;  fits
;
;loadct,6
;xx=6*[2.0e-3,1.8e-2] & oplot,xx,5.0e-19/(xx/.001)^(7./3.),col=122
;xyouts,.02,2e-23,'!9A!8f!6!u-7/3!n',col=122,siz=siz
;
;xx=[5e-4,2.4e-3] & oplot,xx,7e-21*(xx/.001)^(.1),col=122
;xyouts,2.7e-4,1e-21,'!9A!8f!6!u0.1!n',col=122,siz=siz
;loadct,5
;
fo="(a,3f6.1)"
print,'kM,kGW=',kM,kGW,fo=fo
print,'$mv idl.ps ~/tex/roper/GW/fig/pspecm_scl3n2_H1152.ps
;
END
