;$Id: pspecm_scl5_hel_comp2.pro,v 1.4 2020/08/07 14:00:36 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=18,yoffset=3
  !p.charthick=2 & !p.thick=2 & !x.thick=2 & !y.thick=2
end
;
;  sig   grav1mm     pol1     pol2      hel1     hel2   run
;-1.000  2.64e-06 -0.88109 -0.41315  -0.97212 -0.24926  F1152sigm1a
;-0.100  1.88e-06 -0.16662 -0.03742  -0.31665 -0.02251  F1152sigm01a
; 0.100  1.90e-06  0.22322  0.04499   0.31759  0.02252  F1152sig01a
; 1.000  2.67e-06  0.89864  0.39000   0.96944  0.26901  F1152d2_sig1_t11_M2c_double
;
dir0='F1152d2_sig1_t11_M2c_double'
dir1='F1152sigm1a'
dir2='F1152sig001a'
dir3='F1152sigm001a'
dir4='F1152sig01a'
dir5='F1152sigm01a'
;dir='~/tex/roper/PencilGW/data/'
dir='~/tex/roper/helical/data/'
;
yr_pspecm_scl3=[2d-23,1d-7]
energyfac=1e2
;
s1=.3
s2=.5
thick4=5
siz=1.2
siz2=.7
!p.charsize=2.3
!x.margin=[8.0,1.3]
!y.margin=[3.2,0.2]
!p.multi=[0,2,2]
!p.multi=[0,2,3]
fac2=2.
half='!s!u 1!n!r!s-!r!d 2!n'
specm='/specm.sav'
xout=2.7e-4
label=''
;
;  determine normalization
;
default,maglabel,'mag'
default,green_lines,0
default,plot_polarization,1
;ytickf='logticks_exp'
yr=yr_pspecm_scl3
;
Hstar=2.066d10
a0=1.2545d15
freq=Hstar/(2.*!pi*a0)
H0=3.24d-18
rhocrit_fac=3./(8.*!pi)
fac_h=sqrt(3./2.)*H0/!pi
fac=(Hstar/H0)^2/rhocrit_fac*(1./a0)^4
facGW=1./(16.*!pi)
xr=[2.0e-4,13.0e-2]
mixed=0.
;
;  1st panel
;
!x.title='!6'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n and !6!8h!6!s!d0!n!r!u2!n!7N!6!dGW!n'
restore,'../'+dir0+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
plot_oo,freq*k,energyfac*OmegaGW,xr=xr,yr=yr
oplot,freq*k,energyfac*abs(XiGW),li=2
circ_sym,s2,1 & oplot,freq*k,-energyfac*XiGW,ps=8,col=55
circ_sym,s2,0 & oplot,freq*k,+energyfac*XiGW,ps=8,col=122
loadct,6
;file=dir+'Robson_Cornish.rtf'
file=dir+'omLISA.dat'
n1=rtable(file,2,head=1)
file=dir+'omLISApol.dat'
n2=rtable(file,2,head=1)
;oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
oplot,n1[0,*],n1[1,*],li=3,col=122,thick=thick4
oplot,n2[0,*],n2[1,*],li=3,col=122,thick=thick4
xyouts,.009,6e-9,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7N!6!s!dGW!n!r!uLISA!n'
xyouts,.012,2e-11,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7X!6!s!dGW!n!r!uLISA!n'
loadct,5
circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',vshift=-8e-17,col=122,siz=2,ps=8
circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',vshift=-8e-19,col=55,siz=2,ps=8
;circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',col=122,siz=2,ps=8
;circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',col=55,siz=2,ps=8
xyouts,siz=siz,xout,2e-22,'!7r!6=1'
;
;  2nd panel
;
!x.title='!6'
restore,'../'+dir1+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
plot_oo,freq*k,energyfac*OmegaGW,xr=xr,yr=yr
oplot,freq*k,energyfac*abs(XiGW),li=2
circ_sym,s2,1 & oplot,freq*k,-energyfac*XiGW,ps=8,col=55
circ_sym,s2,0 & oplot,freq*k,+energyfac*XiGW,ps=8,col=122
loadct,6
;file=dir+'Robson_Cornish.rtf'
file=dir+'omLISA.dat'
n1=rtable(file,2,head=1)
file=dir+'omLISApol.dat'
n2=rtable(file,2,head=1)
;oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
oplot,n1[0,*],n1[1,*],li=3,col=122,thick=thick4
oplot,n2[0,*],n2[1,*],li=3,col=122,thick=thick4
xyouts,.009,6e-9,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7N!6!s!dGW!n!r!uLISA!n'
xyouts,.012,2e-11,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7X!6!s!dGW!n!r!uLISA!n'
loadct,5
circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',vshift=-8e-17,col=122,siz=2,ps=8
circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',vshift=-8e-19,col=55,siz=2,ps=8
;circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',col=122,siz=2,ps=8
;circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',col=55,siz=2,ps=8
xyouts,siz=siz,xout,2e-22,'!7r!6=-1'
;
;  3rd panel
;
!x.title='!6'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n and !6!8h!6!s!d0!n!r!u2!n!7N!6!dGW!n'
restore,'../'+dir4+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
plot_oo,freq*k,energyfac*OmegaGW,xr=xr,yr=yr
oplot,freq*k,energyfac*abs(XiGW),li=2
circ_sym,s2,1 & oplot,freq*k,-energyfac*XiGW,ps=8,col=55
circ_sym,s2,0 & oplot,freq*k,+energyfac*XiGW,ps=8,col=122
loadct,6
;file=dir+'Robson_Cornish.rtf'
file=dir+'omLISA.dat'
n1=rtable(file,2,head=1)
file=dir+'omLISApol.dat'
n2=rtable(file,2,head=1)
;oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
oplot,n1[0,*],n1[1,*],li=3,col=122,thick=thick4
oplot,n2[0,*],n2[1,*],li=3,col=122,thick=thick4
xyouts,.009,6e-9,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7N!6!s!dGW!n!r!uLISA!n'
xyouts,.012,2e-11,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7X!6!s!dGW!n!r!uLISA!n'
loadct,5
circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',vshift=-8e-17,col=122,siz=2,ps=8
circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',vshift=-8e-19,col=55,siz=2,ps=8
;circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',col=122,siz=2,ps=8
;circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',col=55,siz=2,ps=8
xyouts,siz=siz,xout,2e-22,'!7r!6=0.1'
;
;  4th panel
;
!x.title='!6'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n and !6!8h!6!s!d0!n!r!u2!n!7N!6!dGW!n'
restore,'../'+dir5+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
plot_oo,freq*k,energyfac*OmegaGW,xr=xr,yr=yr
oplot,freq*k,energyfac*abs(XiGW),li=2
circ_sym,s2,1 & oplot,freq*k,-energyfac*XiGW,ps=8,col=55
circ_sym,s2,0 & oplot,freq*k,+energyfac*XiGW,ps=8,col=122
loadct,6
;file=dir+'Robson_Cornish.rtf'
file=dir+'omLISA.dat'
n1=rtable(file,2,head=1)
file=dir+'omLISApol.dat'
n2=rtable(file,2,head=1)
;oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
oplot,n1[0,*],n1[1,*],li=3,col=122,thick=thick4
oplot,n2[0,*],n2[1,*],li=3,col=122,thick=thick4
xyouts,.009,6e-9,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7N!6!s!dGW!n!r!uLISA!n'
xyouts,.012,2e-11,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7X!6!s!dGW!n!r!uLISA!n'
loadct,5
circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',vshift=-8e-17,col=122,siz=2,ps=8
circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',vshift=-8e-19,col=55,siz=2,ps=8
;circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',col=122,siz=2,ps=8
;circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',col=55,siz=2,ps=8
xyouts,siz=siz,xout,2e-22,'!7r!6=-0.1'
;
;  5th panel
;
!x.title='!8f!6 [Hz]'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n and !6!8h!6!s!d0!n!r!u2!n!7N!6!dGW!n'
restore,'../'+dir2+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
plot_oo,freq*k,energyfac*OmegaGW,xr=xr,yr=yr
oplot,freq*k,energyfac*abs(XiGW),li=2
circ_sym,s2,1 & oplot,freq*k,-energyfac*XiGW,ps=8,col=55
circ_sym,s2,0 & oplot,freq*k,+energyfac*XiGW,ps=8,col=122
loadct,6
;file=dir+'Robson_Cornish.rtf'
file=dir+'omLISA.dat'
n1=rtable(file,2,head=1)
file=dir+'omLISApol.dat'
n2=rtable(file,2,head=1)
;oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
oplot,n1[0,*],n1[1,*],li=3,col=122,thick=thick4
oplot,n2[0,*],n2[1,*],li=3,col=122,thick=thick4
xyouts,.009,6e-9,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7N!6!s!dGW!n!r!uLISA!n'
xyouts,.012,2e-11,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7X!6!s!dGW!n!r!uLISA!n'
oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
loadct,5
circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',vshift=-8e-17,col=122,siz=2,ps=8
circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',vshift=-8e-19,col=55,siz=2,ps=8
;circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',col=122,siz=2,ps=8
;circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',col=55,siz=2,ps=8
xyouts,siz=siz,xout,2e-22,'!7r!6=0.01'
;
; 6th panel
;
!y.title='!6'
!y.title='!6!8h!6!s!d0!n!r!u2!n!7X!6!dGW!n and !6!8h!6!s!d0!n!r!u2!n!7N!6!dGW!n'
restore,'../'+dir3+specm
grav_tot=grav1m+grah1m/tm^2+mixed
ghel_tot=grav2m+grah2m/tm^2+mixed
OmegaGW=facGW*fac*k*grav_tot
   XiGW=facGW*fac*k*ghel_tot
plot_oo,freq*k,energyfac*OmegaGW,xr=xr,yr=yr
oplot,freq*k,energyfac*abs(XiGW),li=2
circ_sym,s2,1 & oplot,freq*k,-energyfac*XiGW,ps=8,col=55
circ_sym,s2,0 & oplot,freq*k,+energyfac*XiGW,ps=8,col=122
loadct,6
;file=dir+'Robson_Cornish.rtf'
file=dir+'omLISA.dat'
n1=rtable(file,2,head=1)
file=dir+'omLISApol.dat'
n2=rtable(file,2,head=1)
;oplot,10^n1[0,*],((10^n1[1,*]/fac_h)*10^n1[0,*])^2,li=3,col=122,thick=thick4
oplot,n1[0,*],n1[1,*],li=3,col=122,thick=thick4
oplot,n2[0,*],n2[1,*],li=3,col=122,thick=thick4
xyouts,.009,6e-9,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7N!6!s!dGW!n!r!uLISA!n'
xyouts,.012,2e-11,siz=siz2,col=122,'!6!8h!6!s!d0!n!r!u2!n!7X!6!s!dGW!n!r!uLISA!n'
loadct,5
circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',vshift=-8e-17,col=122,siz=2,ps=8
circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',vshift=-8e-19,col=55,siz=2,ps=8
;circ_sym,s2,0 & legend,8e-4,0.,1e-16,0,'!6 +',col=122,siz=2,ps=8
;circ_sym,s2,1 & legend,8e-4,0.,1e-18,0,'!6 -',col=55,siz=2,ps=8
xyouts,siz=siz,xout,2e-22,'!7r!6=-0.01'
;
print,'$mv idl.ps ~/tex/roper/helical/fig/pspecm_scl5_hel_comp2.ps'
!p.multi=0
END
