;$Id: pvid.pro,v 1.8 2018/05/19 22:32:21 brandenb Exp $
;
;  on multiple processors, prior to running ".r pvid",
;  remember to say "src/read_videofiles.x" and answer
;  "cc1" or "rho", depending on which ones to visualize.
;
;  Among the following two lines, toggle between thoses  of interest.
;
field='ggT' & amax=3e-3 & amin=-amax
field='ggX' & amax=2e-4 & amin=-amax
field='hhX' & amax=2e-4 & amin=-amax
field='h22' & amax=3e-3 & amin=-amax
field='h33' & amax=3e-3 & amin=-amax
field='bb2' & amax=3e-3 & amin=-amax
field='uu1' & amax=6e-2 & amin=-amax
field='hhT' & amax=1e-4 & amin=-amax
field='bb1' & amax=1e-2 & blabel='!8B!dx!6!n' & bnorm=1.
field='divu' & amax=1e1 & blabel='!6div!8u!6' & bnorm=1.
field='hhT' & amax=1e-4 & blabel='!8h!6!d+!n' & bnorm=1.
field='hhX' & amax=1e-4 & blabel='!8h!6!dx!n' & bnorm=1.
field='divu' & amax=1e1 & blabel='!6div!8u!6' & bnorm=1.
field='hhT' & amax=1e-4 & blabel='!8h!6!d+!n' & bnorm=1.
field='bb2' & amax=3e-3 & amin=-amax
field='divu' & amax=3e0 & blabel='!6div!8u!6' & bnorm=1.
field='h23' & amax=-.001 & amin=-.002
field='h33' & amax=-.000 & amin=-.001
field='h22' & amax=3e-3 & amin=-amax
field='hhX' & amax=2e-0 & amin=-amax
;
;  plot
;
rvid_plane,field,min=amin,max=amax,ext='xy'
;rvid_line,field,min=amin,max=amax,ext='xy',tt=t,map=map
stop
;
!x.title=''
!y.title=''
!p.charthick=1
default,ipng,0
;
@parameters
;
;  mv img_0000.png ~/tex/sur/alphakin/png/bx11.png
;
amin=-amax
rvid_box,field,min=amin,max=amax,/nobot,/bar,xpos=-.25,zpos=-.05,magn=1.1,$
  thlabel=2,xlabel=.14,ylabel=.96,size_label=2,nolabel=nolabel,label=label, $
  bformat='(f4.1)',divbar=4,bnorm=bnorm,fo='(f4.1)',tlabel='!8t!6 ',$ ;'!7g!6 ',$
  over=.1, imgprefix=field+'_',tmin=tmin,tmax=tmax,blabel=blabel,/png
;
;rvid_box,field,min=-amax,max=amax,/nobot,/bar,xpos=-.25,zpos=-.05,magn=1.1,$
;  thlabel=2,xlabel=.14,ylabel=.96,size_label=2,nolabel=nolabel,label=label, $
;  bformat='(f6.1)',divbar=4,bnorm=bnorm,tlabel='!8t!6/!7s!6',fo='(f5.1)',$
;  tmin=tmin,tmax=tmax,blabel=blabel,tunit=1.;,/png
;  ;tmin=tmin,tmax=tmax,blabel=blabel,/monotonous_scaling,/png
;
END
