;$Id: pEEM.pro,v 1.1 2018/11/30 23:59:32 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
siz=1.6
cwd,run
@parameters
!p.charsize=1.3
!x.margin=[9.8,.5]
!y.margin=[3.2,.5]
pc_read_ts,obj=ts
;
half='!s!u 1!n!r!s-!r!d 2!n'
circ_sym,0.7,1
;
!x.title='!8tH!6!d*!n'
!y.title='!13E!6!dM!n  and  !13E!6!dK!n'
!p.multi=[0,1,2]
xr=[1,max(ts.t)]
yr=[1e-4,1e-2]
plot_io,ts.t,ts.EEGW,xr=xr,yr=yr,/nodata
oplot,ts.t,ts.EEM,col=122
oplot,ts.t,ts.EEK,col=55
;
yr=[0e-12,1e-11]
!y.title='!13E!6!dGW!n'
plot,ts.t,ts.EEGW,xr=xr,yr=yr
;
;@postproc_EEM
;
print,'$mv idl.ps ~/tex/roper/GW/fig/pEEM_'+run+'.ps'
END
