;$Id: pcomp_EEGW.pro,v 1.11 2019/11/11 13:03:27 roper Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=20,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[8.2,.5]
!y.margin=[3.2,.5]
bar='!20!s!A$!n!r!6'
bar2='!20!s!u$!n!r!6'
;
;  sample to compare time series form different directories
;
dir1='M144_k10b_expA'
dir2='M144_k10b_exp'
;
dir1='M1152e3_exp6A'
dir2='M1152e3_exp6'
yrEEGW=[.0005,.30]
yrhrms=[0,.16]
;
dir1='M1152e_exp6k4_M4b'
dir2='M1152e_exp6k4'
dir3='M1152e_exp6k4_k60b'
;dir4='E288e_t11_M4e'     ;(ac1)
dir4='E1152e_t11_M4d_double_rep'     ;(ac1)
;dir5='F288e_sig1_t11_M4' ;(hel1)
dir5='F1152d2_sig1_t11_M2c_double' ;(hel1)
;dir6='F288a_sig1_t11b'   ;(hel2)
dir6='F1152a_sig1_t11d_double'        ;(hel2)
;
yrEEGW=[3e-12,1.2e-8]
yrEEGW=[3e-12,1.2e-7]
yrEEM=[3e-4,1.4e-1]
yrhrms=[1e-23,1e-1]
xr=[1.,1.27]
xr=[1.,1.22]
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
pc_read_ts,o=ts5,datadir='../'+dir5+'/data'
pc_read_ts,o=ts6,datadir='../'+dir6+'/data'
;
!p.multi=[0,1,2]
!x.range=[1,10.4]
;
!x.title='!6'
;!y.title='!13E!6!dM!n/!13E!6!drad!n'
!y.title='!7X!6!dM,K!n'
plot_io,ts1.t,ts1.EEM,xr=xr,yr=yrEEM
oplot,ts2.t,ts2.EEM,col=122
oplot,ts3.t,ts3.EEM,col=55
oplot,ts4.t,ts4.EEK,li=2
oplot,ts5.t,ts5.EEM,li=2,col=122
oplot,ts6.t,ts6.EEM,li=2,col=55
;
xyouts,1.050,2.3e-2,'!6ini1',siz=siz
xyouts,1.110,2.8e-3,'!6ini2',siz=siz,col=122
xyouts,1.005,8.0e-3,'!6ini3',siz=siz,col=55
;
xyouts,1.17,1.7e-3,'!6ac1',siz=siz
xyouts,1.13,1.3e-2,'!6hel1',siz=siz,col=122
xyouts,1.02,1.0e-3,'!6hel2',siz=siz,col=55
;
;!x.title='!8t!6'
;!y.title='!8h!6!drms!n'
;plot_io,ts1.t,ts1.hrms,xr=xr,yr=yrhrms
;oplot,ts2.t,ts2.hrms,col=122,li=2
;oplot,ts3.t,ts3.hrms,col=55,li=2
;oplot,ts4.t,ts4.hrms,col=155,li=2
;
;!x.title=bar2+'!8t!6'
!x.title='!8t!6'
;!y.title='!13E!6!dGW!n/!13E!6!drad!n'
!y.title='!7X!6!dGW!n'
plot_io,ts1.t,ts1.EEGW,xr=xr,yr=yrEEGW
oplot,ts2.t,ts2.EEGW,col=122
oplot,ts3.t,ts3.EEGW,col=55
oplot,ts4.t,ts4.EEGW,li=2
oplot,ts5.t,ts5.EEGW,li=2,col=122
oplot,ts6.t,ts6.EEGW,li=2,col=55
;
xyouts,1.04,2.5e-9,'!6ini1',siz=siz
xyouts,1.06,8.5e-12,'!6ini2',siz=siz,col=122
xyouts,1.06,8.0e-10,'!6ini3',siz=siz,col=55
;
xyouts,1.16,3.0e-8,'!6ac1',siz=siz
xyouts,1.16,6.3e-9,'!6hel1',siz=siz,col=122
xyouts,1.08,1.2e-10,'!6hel2',siz=siz,col=55
;
print
print,"$mv idl.ps ~/tex/roper/GW/fig/pcomp_EEGW.ps"
print
END
