;$Id: phel_spec_comp.pro,v 1.4 2020/10/29 06:56:03 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=10,yoffset=3
  !p.charthick=1.6 & !p.thick=1.6 & !x.thick=1.6 & !y.thick=1.6
end
;
siz=1.0
!p.charsize=1.0
!x.margin=[8.3,.5]
!y.margin=[3.1,.4]
;
!p.multi=[0,2,2]
!x.range=[90.,27000.]
yr1=[1e-7 ,2e-2]
yr2=[3e-10,3e-2]
;
dirK1='K512sig0_k6_ramp1a'
dirK2='K512sig01_k6_ramp1a'
dirK3='K512sig03_k6_ramp1a'
dirK4='K512sig05_k6_ramp1a'
dirK5='K512sig1_k6_ramp1a'
;
dirM1='M512sig0_k6_ramp1a'
dirM2='M512sig01_k6_ramp1b'
dirM3='M512sig03_k6_ramp1a'
dirM4='M512sig05_k6_ramp1a'
dirM5='M512sig1_k6_ramp1a'
;
col2=55
col3=122
col4=155
col5=122
;
xout=14000.
yout1=4e-3
yout2=2e-3
xx1=[1e3,1e4]
xx2=[1e3,1e4]
;
;-----------------------------------------------------------------------------
!x.title='!6'
!y.title='!62!8E!6!dK!n(!8k!6)'
;
restore,"../"+dirK1+"/hel_specm.sav"
plot_oo,k[1:*],spec1m[1:*],yr=yr1
oplot,xx1,1e1/xx1^1.3
xyouts,2e3,8e-4,siz=siz,'!9A!8k!6!u-1.3'
;
restore,"../"+dirK2+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col2
;
loadct,6
restore,"../"+dirK3+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col3
loadct,5
;
restore,"../"+dirK4+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col4
;
restore,"../"+dirK5+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col5
;
xyouts,xout,yout1,siz=siz,'!6(a)'
;-----------------------------------------------------------------------------
!y.title='!9!!!8H!6!dK!n(!8k!6)/!8k!6!9!!!6'
;
restore,"../"+dirK1+"/hel_specm.sav"
plot_oo,k[1:*],abs(spec2m[1:*]),yr=yr2
oplot,xx2,6e2/xx2^2.0
xyouts,2e3,7e-4,siz=siz,'!9A!8k!6!u-2'
;
restore,"../"+dirK2+"/hel_specm.sav"
oplot,k[1:*],abs(spec2m[1:*]),col=col2
;
loadct,6
restore,"../"+dirK3+"/hel_specm.sav"
oplot,k[1:*],spec2m[1:*],col=col3
loadct,5
;
restore,"../"+dirK4+"/hel_specm.sav"
oplot,k[1:*],spec2m[1:*],col=col4
;
restore,"../"+dirK5+"/hel_specm.sav"
oplot,k[1:*],spec2m[1:*],col=col5
;
xyouts,xout,yout2,siz=siz,'!6(b)'
;=============================================================================
!x.title='!8k!6'
!y.title='!62!8E!6!dM!n(!8k!6)'
;
restore,"../"+dirM1+"/hel_specm.sav"
plot_oo,k[1:*],spec1m[1:*],yr=yr1
oplot,xx1,1.3e2/xx1^1.6667
xyouts,2e3,8e-4,siz=siz,'!9A!8k!6!u-5/3'
;
restore,"../"+dirM2+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col2
;
loadct,6
restore,"../"+dirM3+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col3
loadct,5
;
restore,"../"+dirM4+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col4
;
restore,"../"+dirM5+"/hel_specm.sav"
oplot,k[1:*],spec1m[1:*],col=col5
;
xyouts,xout,yout1,siz=siz,'!6(c)'
;-----------------------------------------------------------------------------
!y.title='!9!!!8kH!6!dM!n(!8k!6)!9!!!6'
;
restore,"../"+dirM1+"/hel_specm.sav"
plot_oo,k[1:*],abs(spec2m[1:*]),yr=yr2
oplot,xx2,1.4e4/xx2^2.3333
xyouts,2e3,7e-4,siz=siz,'!9A!8k!6!u-7/3'
;
restore,"../"+dirM2+"/hel_specm.sav"
oplot,k[1:*],abs(spec2m[1:*]),col=col2
;
loadct,6
restore,"../"+dirM3+"/hel_specm.sav"
oplot,k[1:*],spec2m[1:*],col=col3
loadct,5
;
restore,"../"+dirM4+"/hel_specm.sav"
oplot,k[1:*],spec2m[1:*],col=col4
;
restore,"../"+dirM5+"/hel_specm.sav"
oplot,k[1:*],spec2m[1:*],col=col5
;
xyouts,xout,yout2,siz=siz,'!6(d)'
;
print,"$mv idl.ps ~/tex/tina/CircPol/fig/phel_spec_comp.ps"
END
