;$Id: power_pol.pro,v 1.4 2020/08/17 17:07:35 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=15,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.5]
!p.multi=[0,1,2]
@parameters
;
power,'_GWs','hel_GWs',k=k,spec1=grav1,spec2=grav2,i=n,tt=t,/noplot,/lks
;yr_power_pol=[3e-17,3e-9] & yr_pol=[0,1]
;yr_power_pol=[3e-17,3e-2] & yr_pol=[-1,1]
;
it1=1
it3=10
nt=n_elements(t)
it2=nt-1
col=grange(55,200,nt)
;
!x.title='!6'
!y.title='!13E!6!dGW!n(!8k!6)'
plot_oo,k[1:*],0*grav1[1:*,it2],yr=yr_power_pol
loadct,6
for it=it1,it2,it3 do oplot,k[1:*],grav1[1:*,it],col=fix(col(it))
loadct,5
;
!x.title='!8k!6'
!y.title='!13P!6!dGW!n(!8k!6)'
plot_oi,k[1:*],0*grav1[1:*,it2],yr=yr_pol
loadct,6
for it=it1,it2,it3 do oplot,k[1:*],grav2[1:*,it]/grav1[1:*,it],col=col(it)
loadct,5
;
cwd,run
print,"$mv idl.ps ~/tex/notes/GW_decay_compens/fig/pcomp_Ft_"+run+".ps"
END
