;$Id: ppower_comp.pro,v 1.7 2019/02/17 15:26:07 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=18,yoffset=3
  !p.charthick=2 & !p.thick=2 & !x.thick=2 & !y.thick=2
end
;
;  mv idl.ps ~/tex/roper/PencilGW/fig/ppower_comp.ps
;
!p.charsize=1.7
!x.margin=[5.8,.5]
!y.margin=[3.2,.2]
;
dir1='M144_k10d_exp'
dir2='M144_k10b_exp'
dir3='M144_k10c_exp'
;
power,'_GWs','_mag',k=k,spec1=spec1,spec2=spec1b,i=n,tt=t1,/noplot,datatopdir='../'+dir1+'/data'
power,'_GWs','_mag',k=k,spec1=spec2,spec2=spec2b,i=n,tt=t2,/noplot,datatopdir='../'+dir2+'/data'
power,'_GWs','_mag',k=k,spec1=spec3,spec2=spec3b,i=n,tt=t3,/noplot,datatopdir='../'+dir3+'/data'
;
!x.title='!6'
!y.title='!6'
!p.multi=[0,1,3]
!p.charsize=2.4
fo='(f6.1)'
siz=1.7
xx=1.2
th2=10
th=8
k0=10.
;
yr=[2e-8,8e-1]
it=10 & itd2=0
print,t1[it],t2[it+itd2],t3[it]
plot_oo,k[1:*]/k0,t1[it]^2*spec1[1:*,it],yr=yr
oplot,k[1:*]/k0,t2[it+itd2]^2*spec2[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,t3[it]^2*spec3[1:*,it],col=55,li=2,th=th
;
oplot,k[1:*]/k0,spec1b[1:*,it]
oplot,k[1:*]/k0,spec2b[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,spec3b[1:*,it],col=55,li=2,th=th
xyouts,xx/k0,8e-8,'!8t!6/!8t!6!d*!n = '+str(t1[it],fo=fo),siz=siz
;
;yr=[1e-7,2e-2]
it=40 & itd2=0
print,t1[it],t2[it+itd2],t3[it]
plot_oo,k[1:*]/k0,t1[it]^2*spec1[1:*,it],yr=yr
oplot,k[1:*]/k0,t2[it+itd2]^2*spec2[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,t3[it]^2*spec3[1:*,it],col=55,li=2,th=th
;
oplot,k[1:*]/k0,spec1b[1:*,it]
oplot,k[1:*]/k0,spec2b[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,spec3b[1:*,it],col=55,li=2,th=th
xyouts,xx/k0,8e-8,'!8t!6/!8t!6!d*!n = '+str(t1[it],fo=fo),siz=siz
;
;yr=[1e-8,2e-2]
it=391 & itd2=1
!x.title='!8k!6/!8k!6!d*!n'
print,t1[it],t2[it+itd2],t3[it]
plot_oo,k[1:*]/k0,t1[it]^2*spec1[1:*,it],yr=yr
oplot,k[1:*]/k0,t2[it+itd2]^2*spec2[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,t3[it]^2*spec3[1:*,it],col=55,li=2,th=th
;
oplot,k[1:*]/k0,spec1b[1:*,it]
oplot,k[1:*]/k0,spec2b[1:*,it+itd2],col=122,li=1,th=th2
oplot,k[1:*]/k0,spec3b[1:*,it],col=55,li=2,th=th
xyouts,xx/k0,8e-8,'!8t!6/!8t!6!d*!n = '+str(t1[it],fo=fo),siz=siz
;xyouts,.7,4e-3,'!8E!6!dGW!n(!8k!6)',siz=siz*.9
;xyouts,.6,1.6e-5,'!8E!6!dM!n(!8k!6)',siz=siz
xyouts,.7,4e-3,'!7X!6!dGW!n(!8k!6)/!8k!6',siz=siz*.9
xyouts,.6,1.6e-5,'!7X!6!dM!n(!8k!6)/!8k!6',siz=siz
xyouts,1.13,8e-4,'!8c!7d!8t!6/!7d!8x!6=0.23',siz=siz*.8,col=122
xyouts,3.70,1e-4,'!60.12',siz=siz*.7,col=55
xyouts,4.50,8e-3,'!60.05',siz=siz*.6
;
END
