;$Id: ppower_comp_decay_log.pro,v 1.1 2018/07/03 11:03:47 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=8,yoffset=3
  !p.charthick=2 & !p.thick=2 & !x.thick=2 & !y.thick=2
end
;
;  mv idl.ps ~/tex/roper/PencilGW/fig/ppower_comp_decay.ps
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.2]
;
dir1='M144_k10d_exp'
dir2='M144_k10b_exp'
dir3='M144_k10c_exp'
;
power,'_GWs','_mag',k=k,spec1=spec1,spec2=spec1b,i=n,tt=t1,/noplot,datatopdir='../'+dir1+'/data'
power,'_GWs','_mag',k=k,spec1=spec2,spec2=spec2b,i=n,tt=t2,/noplot,datatopdir='../'+dir2+'/data'
power,'_GWs','_mag',k=k,spec1=spec3,spec2=spec3b,i=n,tt=t3,/noplot,datatopdir='../'+dir3+'/data'
;
!x.title='!8t!6/!8t!6!d*!n'
!y.title='!8E!6(!8k,t!6)'
!p.multi=0
!p.charsize=1.2
fo='(f6.1)'
siz=1.7
xx=1.2
th2=10
th=8
k0=10.
;
ikNy=71 ;(for 144)
yr=[2e-8,2e-1]
yr=alog([2e-10,2e-1])
yr=alog([2e-3,2e-1])
it=10 & itd2=0
!x.range=[1,50]
print,t1[it],t2[it+itd2],t3[it]
plot,t1,alog(t1^2*spec1[ikNy,*]),yr=yr
oplot,t2,alog(t2^2*spec2[ikNy,*]),col=122
oplot,t3,alog(t3^2*spec3[ikNy,*]),col=55
;
oplot,t1,alog(t1^2*spec1[ikNy/2,*]),li=1
oplot,t2,alog(t2^2*spec2[ikNy/2,*]),li=1,col=122
oplot,t3,alog(t3^2*spec3[ikNy/2,*]),li=1,col=55
;
oplot,t1,alog(t1^2*spec1[ikNy/4,*]),li=2
oplot,t2,alog(t2^2*spec2[ikNy/4,*]),li=2,col=122
oplot,t3,alog(t3^2*spec3[ikNy/4,*]),li=2,col=55
;
END
