$Id: pspecm_rat.pro,v 1.1 2018/02/14 22:50:22 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=9,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/tina/GW/fig/pspecm.ps
;  mv idl.ps ~/tex/prop/NSF/2017/fig/pspecm.ps
;
siz=1.8
!p.charsize=1.3
!x.margin=[5.8,.5]
!y.margin=[3.2,.5]
!p.multi=[0,2,1]
;
half='!s!u 1!n!r!s-!r!d 2!n'
circ_sym,1.3,1
file='specm.sav'
restore,file
;
!x.title='!8k!6/!8k!6!d1!n'
;!y.title='!8E!6(!8k!6)  and  !8f!6(!8k!6)'
!y.title='!6'
xr=[1,max(k)]
yr=[1e-21,1e-5]
yr=[1e-12,1e-0]
plot_oo,k,spec1m,xr=xr,yr=yr
oplot,k,.5*k*abs(spec2m),li=1
oplot,k,.5*k*spec2m,col=122,ps=8
oplot,k,-.5*k*spec2m,col=55,ps=8
oplot,k,grav1m
oplot,k,abs(grav2m),li=1
oplot,k,grav2m,col=122,ps=8
oplot,k,-grav2m,col=55,ps=8
;
xyouts,1.4,5e-10,siz=siz,'!8E!6!dM!n(!8k,t!6)'
xyouts,30.,8e-9,siz=siz,half+'!8kH!6!dM!n(!8k,t!6)'
;
xyouts,100.,1e-13,siz=siz,'!8f!6(!8k,t!6)'
xyouts,4.0,1e-17,siz=siz,'!8g!6(!8k,t!6)'
;
;xx=[1.2,3] & oplot,xx,1e-5/xx^2.5
;xx=[1.2,3] & oplot,xx,3e-5*xx^1.5
;
;xx=[7.,16] & oplot,xx,4e-2/xx^1.67
;xx=[7.,16] & oplot,xx,5e-4/xx^5.67
;
plot_oi,k,.5*k*spec2m/spec1m,xr=xr,yr=[-1,1]
oplot,k,.5*grav2m/grav1m,col=55
END
