;$Id: pSCL2.pro,v 1.4 2020/08/07 10:24:28 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=8,yoffset=3
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/roper/GW/fig/pspecm_scl2.ps
;  mv idl.ps ~/tex/prop/computing/pdc/18/fig/pspecm_scl3n.ps
;
siz=1.7
@parameters
!p.charsize=1.7
;!p.charsize=1.8
!x.margin=[6.6,0.5]
!y.margin=[3.2,0.2]
;!p.multi=[0,1,2]
;
;power,'_GWh','_GWh',k=k,spec1=spec1 ,spec2=spec1 ,i=n,tt=t,/noplot
;power,'_SCL','_SCL',k=k,spec1=spec1 ,spec2=spec1 ,i=n,tt=t,/noplot
;power,'_SCL','_SCL',k=k,spec1=spec2 ,spec2=spec2 ,i=n,tt=t,/noplot
;power,'_VCT','_VCT',k=k,spec1=spec2 ,spec2=spec2 ,i=n,tt=t,/noplot
;power,'_VCT','_VCT',k=k,spec1=spec2 ,spec2=spec2 ,i=n,tt=t,/noplot
;power,'_GWh','_GWh',k=k,spec1=spec0 ,spec2=spec0 ,i=n,tt=t,/noplot,/lkscale
power,'_Str','_Str',k=k,spec1=spec1 ,spec2=spec1 ,i=n,tt=t1,/noplot,/lkscale
power,'_Tpq','_Tpq',k=k,spec1=spec2 ,spec2=spec2 ,i=n,tt=t,/noplot,/lkscale
power,'_SCL','_SCL',k=k,spec1=spec3 ,spec2=spec3 ,i=n,tt=t3,/noplot,/lkscale
power,'_VCT','_VCT',k=k,spec1=spec4 ,spec2=spec4 ,i=n,tt=t4,/noplot,/lkscale
;spec2=reform(spec2,576,1)
s0=size(spec0) & nt0=s0[2]
s1=size(spec1) & nt1=s1[2]
s2=size(spec2) & nt2=s2[2]
s3=size(spec3) & nt3=s3[2]
s4=size(spec4) & nt4=s4[2]
;print,'nt0,nt1,nt2=',nt0,nt1,nt2,nt3,nt4
print,'nt0,nt1,nt2=',nt0,nt1,nt3,nt4
!x.title='!8k!6'
!y.title='!6'
;
default,it,10
default,yrSVT,[1e-22,1e-3]
print,'t=',t1[it],t3[it],t4[it]
plot_oo,yr=yrSVT,k[1:*],spec1[1:*,it],li=0
oplot,k[1:*],spec2[1:*,it],li=1
oplot,k[1:*],spec3[1:*,it]*k[1:*]^4,col=55
oplot,k[1:*],spec4[1:*,it]*k[1:*]^2,col=122
;
xx=160. & dx=160.
legend,xx,dx,1e-10,0,col=55,'scalar'
legend,xx,dx,3e-12,0,col=122,'vector'
legend,xx,dx,1e-13,0,'tensor'
;
xx=[150.,450.] & oplot,xx,5e-10*xx^2
xx=[1.4e3,8e3] & oplot,xx,1e7/xx^3
xyouts,3e3,1e-3,siz=siz,'!9A!8k!6!u-3!n'
xyouts,250,3e-6,siz=siz,'!9A!8k!6!u2!n'
;
cwd,run
print,"$convert idl.ps /D/Print/GW_prog2019/pSCL_"+run+".png"
print,'$mv idl.ps ~/tex/sayan/GW/fig/pSCL2_'+run+'.ps'
END
