;$Id: pcomp_GWampl.pro,v 1.3 2018/07/11 18:05:05 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/roper/GW/fig/pcomp_GWampl.ps
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M1152c3_exp5'
dir2='M1152c3_exp3'
dir3='M1152e3_exp6'
dir4='M1152e3_exp3'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
;
;!p.multi=[0,1,3]
!x.range=[1,10]
!y.range=[1e-6,1]
!x.title='!8t!6/!8t!6!d*!n'
!y.title='!13E!6!dGW!n  and  !13E!6!dM!n'
;
plot_oo,ts1.t,ts1.EEGW,/nodata
oplot,ts1.t,ts1.EEGW
oplot,ts1.t,ts1.EEM
oplot,ts2.t,ts2.EEGW,col=122
oplot,ts2.t,ts2.EEM,col=122
oplot,ts3.t,ts3.EEGW,col=55
oplot,ts3.t,ts3.EEM,col=55
oplot,ts4.t,ts4.EEGW,col=155
oplot,ts4.t,ts4.EEM,col=155
;
xx=[1.1,2.8] & oplot,xx,.14/xx^.6667
;
print,ts1.EEM[0],ts2.EEM[0],ts3.EEM[0],ts4.EEM[0]
s=1e3
print,s*max(ts1.EEGW),s*max(ts2.EEGW),s*max(ts3.EEGW),s*max(ts4.EEGW)
END
