;$Id: pcomp_M512k2_both_2x2panels.pro,v 1.1 2020/10/24 14:53:27 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.5
!x.margin=[8.5,1.5]
!y.margin=[3.1,0.4]
!p.multi=[0,2,2]
!x.range=[1,3.5]
!x.tickv=[1.,1.5,2.,2.5,3.,3.5]
!x.tickname=['1','1.5','2','2.5','3','3.5']
;
th1=2
th2=5
xout1=3.05
xout2=1.1
siz=1.5
;
;  sample to compare time series form different directories
;
dir1='K512sig0_k6_ramp1a'
dir2='K512sig05_k6_ramp1a'
dir3='K512sig1_k6_ramp1a'
yrM=[0,.008] & yrK=[0,.015] & yrGW=[0,8e-9]
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
;
!y.ticks=3
!x.title='!6'
!y.title='!7X!6!dK!n'
plot,ts1.t,ts1.EEK,yr=yrK
oplot,ts2.t,ts2.EEK,col= 55,th=th1
oplot,ts3.t,ts3.EEK,col=122,th=th1
xyouts,xout1,.0122,'!6(a)',siz=siz
xyouts,1.600,.0122,'!6(no !8B!6-field)',siz=siz*.8
;
!y.ticks=2
!y.title='!7X!6!dGW!n'
plot,ts1.t,ts1.EEGW,yr=yrGW
oplot,ts2.t,ts2.EEGW,col= 55,th=th1
oplot,ts3.t,ts3.EEGW,col=122,th=th1
xyouts,xout2,6.5e-9,'!6(b)',siz=siz
;
;-----------------------------------------------------------------------------
dir1='M512sig0_k6_ramp1a'
dir2='M512sig03_k6_ramp1a'
dir3='M512sig1_k6_ramp1a'
yrM=[0,.020] & yrK=[0,.0027] & yrGW=[0,6.0e-9]
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
;
!y.ticks=2
!x.title='!8t!6'
!y.title='!7X!6!dM!n'
plot,ts1.t,ts1.EEM,yr=yrM
oplot,ts2.t,ts2.EEM,col= 55,th=th1
oplot,ts3.t,ts3.EEM,col=122,th=th1
xyouts,xout1,.0165,'!6(c)',siz=siz
;
!y.ticks=2
!y.title='!7X!6!dGW!n'
plot,ts1.t,ts1.EEGW,yr=yrGW
oplot,ts2.t,ts2.EEGW,col= 55,th=th1
oplot,ts3.t,ts3.EEGW,col=122,th=th1
xyouts,xout2,4.9e-9,'!6(d)',siz=siz
;
print,"$mv idl.ps ~/tex/tina/CircPol/fig/pcomp_M512k2_both.ps"
END
