;$Id: pcomp_M512kdep.pro,v 1.1 2020/09/15 15:24:30 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=9,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!p.charsize=1.0
!x.margin=[8.8,1.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
;dir3='K512sig1k15c'
;dir3='M512sig1k15c'
;
dir1='M512km1_sig1f6L'
dir2='K512sig1k6a'
dir3='K512sig1k15a'
dir4='K512sig1k15b'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
;
!p.multi=[0,1,2]
!p.multi=[0,2,1]
!x.range=[1,2.7]
th1=2
th2=5
;
!x.title='!6'
!y.title='!13E!6!dM!n  and  !13E!6!dK!n'
plot,ts1.t,ts1.EEM,yr=[0,.015],/nodata
;oplot,ts1.t,ts1.EEM,col=122,th=th1
;oplot,ts2.t,ts2.EEM,col=122,th=th2
;oplot,ts3.t,ts3.EEM,col=55,th=th1
;oplot,ts4.t,ts4.EEM,col=55,th=th2
;
oplot,ts1.t,l=2,ts1.EEK,col=122,th=th1
loadct,6
oplot,ts2.t,l=2,ts2.EEK,col=122,th=th1
loadct,5
oplot,ts3.t,l=1,ts3.EEK,col=55,th=th1
;oplot,ts4.t,l=1,ts4.EEK,col=55,th=th2,l=2
;
!x.title='!8t!6'
!y.title='!13E!6!dGW!n'
plot,ts1.t,ts1.EEGW,yr=[0,6e-9],/nodata
oplot,ts1.t,ts1.EEGW,col=122,th=th1
loadct,6
oplot,ts2.t,ts2.EEGW,col=122,th=th1
loadct,5
oplot,ts3.t,ts3.EEGW,col=55,th=th1
;oplot,ts4.t,ts4.EEGW,col=55,th=th2
;
print,"$mv idl.ps ~/tex/tina/inflGW/fig/pcomp_M512km1_sig1.ps"
END
