;$Id: pcomp_M512km1_sig1g1.pro,v 1.1 2020/09/02 09:19:57 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M512km1_sig1e3'
dir2='M512km1_sig1d3'
dir2='M512km1_sig1f3'
dir2='M512km1_sig1f4'
dir2='M512km1_sig1g1'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
;
!p.multi=[0,1,2]
!x.range=[1,1.1]
!x.range=[.5,1.1]
;
!x.title='!6'
!y.title='!13E!6!dM!n  and  !13E!6!dK!n'
plot,ts1.t,ts1.EEM,yr=[0,.01]
oplot,ts2.t,ts2.EEM,col=122
;
oplot,ts1.t,l=2,ts1.EEK
oplot,ts2.t,l=2,ts2.EEK,col=122
;
!x.title='!8t!6'
!y.title='!13E!6!dGW!n'
plot,ts1.t,ts1.EEGW,yr=[0,3e-9]
oplot,ts2.t,ts2.EEGW,col=122
;
print,"mv idl.ps ~/tex/tina/inflGW/fig/pcomp_M512km1_sig1g1.ps"
END
