;$Id: pcompt.pro,v 1.5 2018/03/22 09:16:58 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[9.8,.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M1152g3' & t01=-4.
dir2='M1152c3' & t02=0.
dir3='M1152e3' & t03=0.
dir4='M1152f3' & t04=0.
dir5='AT1152c' & t05=-25.
dir6='RT1152b' & t06=-45.
dir7='AT1152a' & t07=-10.
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
pc_read_ts,o=ts5,datadir='../'+dir5+'/data'
pc_read_ts,o=ts6,datadir='../'+dir6+'/data'
pc_read_ts,o=ts7,datadir='../'+dir7+'/data'
;
k01=1./(ts1.t-t01)
k02=1./(ts2.t-t02)
k03=1./(ts3.t-t03)
k04=1./(ts4.t-t04)
k05=1./(ts5.t-t05)
k06=1./(ts6.t-t06)
k07=1./(ts7.t-t07)
;
!p.multi=0
!x.range=[0.,110]
!y.range=[1e-5,5e-3]
!x.title="!8t!6"
!y.title="!8c!6!u2!n!8k!6!s!u2!n!r!dGW!n!13E!6!s!dGW!n / !7p!8G!6(!8t-t!6!d0!n)!u2!n!13E!8!di!n!6"
;
plot_io,ts1.t,8.*k01^2*(ts1.ggT2m+ts1.ggX2m)/(.5*ts1.brms^2)^2
oplot,ts2.t,(8.*k02^2*(ts2.ggT2m+ts2.ggX2m)/(.5*ts2.brms^2)^2)>30,li=1
oplot,ts3.t,(8.*k03^2*(ts3.ggT2m+ts3.ggX2m)/(.5*ts3.brms^2)^2)>30,li=2
oplot,ts4.t,(8.*k04^2*(ts4.ggT2m+ts4.ggX2m)/(.5*ts4.brms^2)^2)>30,li=3
oplot,ts5.t,(8.*k05^2*(ts5.ggT2m+ts5.ggX2m)/(.5*ts5.urms^2)^2),li=0,col=122
oplot,ts6.t,(8.*k06^2*(ts6.ggT2m+ts6.ggX2m)/(.5*ts6.urms^2)^2),li=0,col=55
oplot,ts7.t,(8.*k07^2*(ts7.ggT2m+ts7.ggX2m)/(.5*ts7.urms^2)^2),li=0,col=122
;
xx=[3,30] & oplot,xx,xx^2,col=188
xx=[3,30] & oplot,xx,xx,col=188
;
xyouts,10.,1e-4,'!6Run A',siz=siz
xyouts,40.,3e-5,'!6RT',siz=siz,col=55
xyouts,60.,9e-4,'!6AT2',siz=siz,col=122
xyouts,20.,2.3e-3,'!6AT1',siz=siz,col=122
;
print,"$mv idl.ps ~/tex/roper/GW/fig/pcompt.ps"
;
END
