;$Id: ppower_comp_M1152e_exp6k4_vs_t.pro,v 1.6 2020/07/25 18:22:30 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=2.8 & !p.thick=2.8 & !x.thick=2.8 & !y.thick=2.8
end
;
;  mv idl.ps ~/tex/roper/GW/fig/ppower_comp_M1152e_exp6k4_vs_t.ps
;
!x.margin=[7.5,.5]
!y.margin=[3.2,.2]
;
;  scale factor for GW spectra:
;
dir1='M1152e_exp6k4' & sGW1=1.
dir2='M1152e_exp6k4_k60' & sGW2=8. & sM2=8.
dir3='M1152e_exp6k4_k1_300' & sGW3=8. & sM3=5.
;
default,iread,0
if iread eq 0 then begin
  power,'_GWs','_mag',k=k1,spec1=spec1,spec2=spec1b,i=n,tt=t1,/noplot,datatopdir='../'+dir1+'/data',/lks
  power,'_GWs','_mag',k=k2,spec1=spec2,spec2=spec2b,i=n,tt=t2,/noplot,datatopdir='../'+dir2+'/data',/lks
  power,'_GWs','_mag',k=k3,spec1=spec3,spec2=spec3b,i=n,tt=t3,/noplot,datatopdir='../'+dir3+'/data',/lks
  iread=1
endif
;
!x.title='!6'
!y.title='!6'
!p.multi=[0,1,4]
!p.multi=0
!p.charsize=1.6
xlabt=2.8 & ylabt=1e-4
siz=1.4
xx=1.2
th2=2
li2=0
th=8
;
kstar=300.
s=sGW3*kstar
xr=[.004,50.]
yr=[3e-7,1.2e-4]
;!x.title='!8ck!6(!8t-t!6!d*!n)'
!x.title='!8k!6(!8t-!61)'
;!y.title='!6[!8k!d*!nE!6!dGW!n(!8k,t!6)/!13E!6!drad!n]!u1/2!n'
!y.title='!6[!8k!d*!n!7X!6!dGW!n(!8k,t!6)/!8k!6]!u1/2!n'
ik=1 & plot_oo,(k3(ik)*(t3-1.)),sqrt(s*spec3[ik,*]),xr=xr,yr=yr
ik=2 & oplot,(k3(ik)*(t3-1.)),sqrt(s*spec3[ik,*]),col=122,li=3
ik=4 & oplot,(k3(ik)*(t3-1.)),sqrt(s*spec3[ik,*]),col=55,li=2
loadct,6
ik=8 & oplot,(k3(ik)*(t3-1.)),sqrt(s*spec3[ik,*]),col=122,li=1,th=6
loadct,5
;
xx=.7 & dx=1.4
;legend,xx,dx,10^(-5.2),0,' !8ck!6/!8H!6!d*!n=1'
;legend,xx,dx,10^(-5.5),3,' !8ck!6/!8H!6!d*!n=2',col=122
;legend,xx,dx,10^(-5.8),2,' !8ck!6/!8H!6!d*!n=4',col=55
legend,xx,dx,10^(-5.2),0,' !8k!6=1'
legend,xx,dx,10^(-5.5),3,' !8k!6=2',col=122
legend,xx,dx,10^(-5.8),2,' !8k!6=4',col=55
loadct,6
;legend,xx,dx,10^(-6.1),1,' !8ck!6/!8H!6!d*!n=8',col=122,th=6
legend,xx,dx,10^(-6.1),1,' !8k!6=8',col=122,th=6
loadct,5
print,"$mv idl.ps ~/tex/roper/GW/fig/ppower_comp_M1152e_exp6k4_vs_t.ps"
END
