;$Id: pspecm_scl.pro,v 1.3 2018/02/18 16:17:40 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=9,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/tina/GW/fig/pspecm.ps
;  mv idl.ps ~/tex/prop/NSF/2017/fig/pspecm.ps
;  mv idl.ps ~/tex/prop/NASA/2018/GW/fig/pspecm.ps
;  mv idl.ps ~/tex/roper/GW/fig/pspecm_scl.ps
;
siz=1.8
@parameters
!p.charsize=1.8
!x.margin=[7.8,0.5]
!y.margin=[3.2,1.7]
;
cwd,run
half='!s!u 1!n!r!s-!r!d 2!n'
circ_sym,0.7,1
file='specm.sav'
restore,file
grav1m0=grav1m
if hdone then begin
  grah1m0=grah1m
  grah2m0=grah2m
endif
k0=k
;
c=3e10
c2pi=c/(2.*!pi)
s=3d-40 ;( = (16pi*G/c^2) * (B^2/4pi) )
;s=3d-37
dk=1e-13
k=k0*dk
grav1m=s*grav1m
;
!p.title='!6'+run
!x.title='!8f!6  [Hz]'
;!y.title='!8E!6(!8k!6)  and  !8f!6(!8k!6)'
!y.title='!8h!6(!8f!6)'
xr=[1e-16,1e-10]*c
yr=[1d-33,1d-21]
plot_oo,k*c2pi,sqrt(2*k*grav1m/(c*k)^2),xr=xr,yr=yr
;u=.01d0*c
;oplot,k*c2pi,sqrt(2*k*grav1m/(u*k)^2),col=155
if hdone then begin
  grah1m=s*grah1m
  grah2m=s*grah2m
  oplot,k*c2pi,sqrt(2*k*grah1m),col=55,li=2
  oplot,k*c2pi,sqrt(2*k*abs(grah2m)),col=122,li=1
endif
;
dk=1e-15
grav1m=s*grav1m0
k=k0*dk
oplot,k*c2pi,sqrt(2*k*grav1m/(c*k)^2)
if hdone then begin
  grah1m=s*grah1m0
  grah2m=s*grah2m0
  oplot,k*c2pi,sqrt(2*k*grah1m),col=55,li=2
  oplot,k*c2pi,sqrt(2*k*abs(grah2m)),col=122,li=1
endif
;
xx=[1e-3,.7e-2] & oplot,xx,1e-25/(xx/.01)^2
xx=[1e-2,2] & oplot,xx,2e-25*(xx/.01)
;
print,'$mv idl.ps ~/tex/roper/GW/fig/pspecm_scl_'+run+'.ps
;
END
