$Id: pcomp.pro,v 1.8 2018/03/03 01:21:22 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/roper/GW/fig/pcomp.ps
;
!p.charsize=1.7
!x.margin=[9.8,.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M1152g3' & k01=51.
dir2='M1152c3' & k02=39.
dir3='M1152e3' & k03=11.
dir4='M1152f3' & k04=7.
dir5='AT1152c' & k05=12.
dir6='RT1152b' & k06=12.
dir7='AT1152a' & k07=12.
dir8='AT1152c_dec' & k08=12.
;
;k01=1.
;k02=1.
;k03=1.
;k04=1.
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
pc_read_ts,o=ts5,datadir='../'+dir5+'/data'
pc_read_ts,o=ts6,datadir='../'+dir6+'/data'
pc_read_ts,o=ts7,datadir='../'+dir7+'/data'
pc_read_ts,o=ts8,datadir='../'+dir8+'/data'
;
!p.multi=0
!x.range=[1.,200]
!y.range=[.4,2e5]
!x.title="!8t!6"
!y.title="!8c!6!u4!n!8k!6!s!u2!n!r!dGW!n!13E!6!s!dGW!n / !7p!8G!13E!8!di!n!6"
;
plot_oo,ts1.t,8.*k01^2*(ts1.ggT2m+ts1.ggX2m)/(.5*ts1.brms^2)^2
oplot,ts2.t,(8.*k02^2*(ts2.ggT2m+ts2.ggX2m)/(.5*ts2.brms^2)^2)>0,li=1
oplot,ts3.t,(8.*k03^2*(ts3.ggT2m+ts3.ggX2m)/(.5*ts3.brms^2)^2)>0,li=2
oplot,ts4.t,(8.*k04^2*(ts4.ggT2m+ts4.ggX2m)/(.5*ts4.brms^2)^2)>0,li=3
oplot,ts5.t,(8.*k05^2*(ts5.ggT2m+ts5.ggX2m)/(.5*ts5.urms^2)^2),li=0,col=122
oplot,ts6.t,(8.*k06^2*(ts6.ggT2m+ts6.ggX2m)/(.5*ts6.urms^2)^2),li=0,col=55
oplot,ts7.t,(8.*k05^2*(ts7.ggT2m+ts7.ggX2m)/(.5*ts7.urms^2)^2),li=0,col=122
loadct,6
oplot,ts8.t,(8.*k05^2*(ts8.ggT2m+ts8.ggX2m)/(.5*ts8.urms^2)^2),li=0,col=122
loadct,5
;
xx=[6,30] & oplot,xx,3*xx^2,col=155
xx=[3,30] & oplot,xx,.1*xx,col=155
xyouts,20,1.,siz=siz,'slope=1',col=155
xyouts,9,2e3,siz=siz,'slope=2',col=155
;
print,"$mv idl.ps ~/tex/roper/GW/fig/pcomp.ps"
;
END
