;$Id: pcomp_K512k1.pro,v 1.2 2020/10/17 20:08:54 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=9,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!p.charsize=1.0
!x.margin=[10.5,1.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
;dir3='K512sig1k15c'
;dir3='M512sig1k15c'
;
dir1='K512sig1k15b'
dir2='K512sig1k15b_k50'
dir2='K512sig1k15b_k50b'
dir2='K512sig1k15b_k50c'
dir2='M512sig0k15d'
dir2='M512sig0k15d2'
dir3='M512sig0k15d3'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
;pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
t1=1.5
t1=1.3
t2=2.
k1=1.
;
!p.multi=[0,1,2]
!p.multi=[0,2,1]
!x.range=[1,2.7]
th1=2
th2=5
;
!x.title='!6'
!y.title='!13E!6!dM!n/!13E!6!dcrit!n  and  !13E!6!dK!n/!13E!6!dcrit!n'
;plot,ts1.t,ts1.EEM,yr=[0,.015],/nodata
plot,ts1.t,ts1.EEM,yr=[0,.011],/nodata
oplot,ts1.t,ts1.EEK,col=122,th=th1
oplot,ts2.t,ts2.EEK,col=55,th=th1,li=2
oplot,ts3.t,ts3.EEK,col=55,th=th1
  good=where(ts3.t ge t1 and ts3.t le t2)
  p=linfit(ts3.t(good),ts3.EEK(good))
  oplot,ts3.t(good),ts3.t(good)*p[1]+p[0]
;oplot,ts4.t,l=1,ts4.EEK,col=55,th=th2,l=2
;
fac=.75
fac=1.
;
iaver=1
iaver=0
;
ismooth=29
ismooth=0
;
!x.title='!8t!6'
!y.title='!13E!6!dGW!n/!13E!6!dcrit!n'
if iaver then begin
  ;plot,ts1.t,ts1.EEGW,yr=[0,1.2e-9],/nodata
  plot,ts1.t,ts1.EEGW,yr=[0,4.2e-9],/nodata
  oplot,ts1.t,accum(ts1.EEGW,ismooth),col=122,th=th1
  oplot,ts2.t,accum(ts2.EEGW,ismooth),col=122,th=th2
  oplot,ts3.t,fac*accum(ts3.EEGW,ismooth),col=55,th=th1
  oplot,ts4.t,fac*accum(ts4.EEGW,ismooth),col=55,th=th2
endif else begin
  plot,ts1.t,ts1.EEGW,yr=[0,4.0e-9],/nodata
  oplot,ts1.t,ts1.EEGW,col=122,th=th1
  oplot,ts2.t,ts2.EEGW,col=55,th=th1,li=2
  oplot,ts3.t,ts3.EEGW,col=55,th=th1
  good=where(ts3.t ge t1 and ts3.t le t2)
  p=linfit(ts3.t(good),ts3.EEGW(good))
  oplot,ts3.t(good),ts3.t(good)*p[1]+p[0]
endelse
;
print,"$mv -i idl.ps ~/tex/tina/inflGW/fig/pcomp_K512k1"+str(iaver)+".ps"
print,"$mv -i idl.ps ~/tex/tina/long_drive_GW/fig/pcomp_K512k1.ps"
END
