;$Id: pcomp_KM512km1.pro,v 1.4 2020/10/02 01:35:24 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=9,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!p.charsize=1.0
!x.margin=[10.5,1.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
;dir3='K512sig1k15c'
;dir3='M512sig1k15c'
;
dir1='M512sig1k15a'
dir2='M512sig1k15d'
;dir2='M1024sig1k15d'
;dir2='K512sig1k15b' ;--
;dir2='K512sig1k15b_k50' ;--
;dir2='K512sig1k15b_k50b' ;--
;dir2='K512sig1k15b_k50c' ;--
dir3='K512sig1k15d'
;dir4='K1024sig1k15b'
dir4='K512sig1k15b'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
;
!p.multi=[0,1,2]
!p.multi=[0,2,1]
!x.range=[1,2.7]
th1=2
th2=5
;
!x.title='!6'
!y.title='!13E!6!dM!n  and  !13E!6!dK!n'
plot,ts1.t,ts1.EEM,yr=[0,.015],/nodata
oplot,ts1.t,ts1.EEM,col=122,th=th1
oplot,ts2.t,ts2.EEM,col=122,th=th2
oplot,ts3.t,ts3.EEM,col=55,th=th1
oplot,ts4.t,ts4.EEM,col=55,th=th2
;
loadct,6
oplot,ts1.t,l=2,ts1.EEK,col=122,th=th1,l=2
oplot,ts2.t,l=2,ts2.EEK,col=122,th=th2,l=2
loadct,5
oplot,ts3.t,l=1,ts3.EEK,col=55,th=th1,l=2
oplot,ts4.t,l=1,ts4.EEK,col=55,th=th2,l=2
;
fac=.75
fac=1.
;
iaver=1
iaver=0
;
ismooth=29
ismooth=0
;
!x.title='!8t!6'
!y.title='!13E!6!dGW!n'
if iaver then begin
  plot,ts1.t,ts1.EEGW,yr=[0,1.2e-9],/nodata
  oplot,ts1.t,accum(ts1.EEGW,ismooth),col=122,th=th1
  oplot,ts2.t,accum(ts2.EEGW,ismooth),col=122,th=th2
  oplot,ts3.t,fac*accum(ts3.EEGW,ismooth),col=55,th=th1
  oplot,ts4.t,fac*accum(ts4.EEGW,ismooth),col=55,th=th2
endif else begin
  plot,ts1.t,ts1.EEGW,yr=[0,1.7e-9],/nodata
  oplot,ts1.t,ts1.EEGW,col=122,th=th1
  oplot,ts2.t,ts2.EEGW,col=122,th=th2
  oplot,ts3.t,fac*ts3.EEGW,col=55,th=th1
  oplot,ts4.t,fac*ts4.EEGW,col=55,th=th2
endelse
;
;print,"$mv -i idl.ps ~/tex/tina/long_drive_GW/fig/pcomp_KM512km1_"+str(iaver)+".ps"
print,"$mv -i idl.ps ~/tex/tina/long_drive_GW/fig/pcomp_KM512km1.ps"
END
