;$Id: pcomp_M512km1_sig1f1.pro,v 1.2 2020/09/15 15:32:12 brandenb Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=12,yoffset=3
  device,xsize=18,ysize=9,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!p.charsize=1.0
!x.margin=[8.8,1.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M512km1_sig1e3'
dir1='M512km1_sig1f7_t15'
dir2='M512km1_sig1f5'
dir2='M512km1_sig1f7'
dir3='M512km1_sig1f6'
dir3='M512km1_sig1f6L'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
;
!p.multi=[0,1,2]
!p.multi=[0,2,1]
!x.range=[1,8.085]
;
!x.title='!6'
!y.title='!13E!6!dM!n  and  !13E!6!dK!n'
plot,ts1.t,ts1.EEM,yr=[0,.006]
oplot,ts2.t,ts2.EEM,col=122
oplot,ts3.t,ts3.EEM,col=55,li=2
;
oplot,ts1.t,l=2,ts1.EEK
oplot,ts2.t,l=2,ts2.EEK,col=122
oplot,ts3.t,l=1,ts3.EEK,col=55
;
!x.title='!8t!6'
!y.title='!13E!6!dGW!n'
;lot,ts1.t,ts1.EEGW,yr=[0,6e-10]
plot,ts1.t,ts1.EEGW,yr=[0,6e-9]
oplot,ts2.t,ts2.EEGW,col=122
oplot,ts3.t,ts3.EEGW,col=55,li=2
;
print,"$mv idl.ps ~/tex/tina/inflGW/fig/pcomp_M512km1_sig1.ps"
END
