;$Id: pcomp_OmegaGWampl.pro,v 1.1 2018/07/11 18:34:30 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
;  mv idl.ps ~/tex/roper/GW/fig/pcomp_OmegaGWampl.ps
;
!p.charsize=1.7
!x.margin=[7.8,.5]
!y.margin=[3.2,.5]
;
;  sample to compare time series form different directories
;
dir1='M1152c3_exp5'
dir2='M1152c3_exp3'
dir3='M1152e3_exp6'
dir4='M1152e3_exp3'
;
pc_read_ts,o=ts1,datadir='../'+dir1+'/data'
pc_read_ts,o=ts2,datadir='../'+dir2+'/data'
pc_read_ts,o=ts3,datadir='../'+dir3+'/data'
pc_read_ts,o=ts4,datadir='../'+dir4+'/data'
;
;!p.multi=[0,1,3]
!x.range=[3e-3,3e-1]
!y.range=[1e-11,5e-7]
!x.title='!13E!6!dM!n/!13E!6!drad!n'
!y.title='!7X!6!dGW!n'
;
fac=4.1e-5
plot_oo,ts1.EEM,fac*ts1.EEGW,/nodata
oplot,ts1.EEM,fac*ts1.EEGW
oplot,ts2.EEM,fac*ts2.EEGW,col=122
oplot,ts3.EEM,fac*ts3.EEGW,col=55
oplot,ts4.EEM,fac*ts4.EEGW,col=155
;
nexp=2.3
xx=[.02,.2] & oplot,xx,8e-6*xx^nexp,li=3
xx=[.02,.2] & oplot,xx,15e-8*xx^nexp,li=3
END
