;$Id: pgrav1.pro,v 1.1 2018/03/22 18:44:43 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.0
!x.margin=[9.8,.5]
!y.margin=[3.2,.5]
;
;  plot selected times
;
@parameters
!p.multi=[0,2,2]
hat='!9!s!a^!n!r!6'
;
restore,'grav1_select.sav'
s=size(grav1_select)
nk=s[1]
nt=s[2]
k=findgen(nk)
;
xr=[1,max(k)]
xr=[1,40]
yr=[1e-35,1e-12]
;
!x.title='!8t!6'
!y.title=hat+'!8S!6(!8k!6)'
plot_oo,k,grah1_select[*,nt-1],xr=xr,yr=yr
for it=1,nt-1 do begin
  oplot,k,grah1_select[*,it]
endfor
;
!y.title='!8S!6(!8k!6)'
plot_oo,k,grav1_select[*,nt-1],xr=xr,yr=yr
for it=1,nt-1 do begin
  oplot,k,grav1_select[*,it]
endfor
;
!y.title='!8h!6!drms!n(!8k!6)'
yr=[3e-11,3e-8]
plot_oo,k,sqrt(k*grah1_select[*,nt-1]),xr=xr,yr=yr
for it=1,nt-1 do begin
  oplot,k,sqrt(k*grah1_select[*,it])
endfor
;
yr=[3e-9,3e-6]
!y.title='!8h!6!u.!n!drms!n(!8k!6)'
plot_oo,k,sqrt(k*grav1_select[*,nt-1]),xr=xr,yr=yr
for it=1,nt-1 do begin
  oplot,k,sqrt(k*grav1_select[*,it])
endfor
;
yr=[1e-9,1e-6]
print,"$mv idl.ps ~/tex/roper/GW/fig/pgrav1.ps"
END
