;$Id: phel_mag.pro,v 1.1 2020/10/24 18:19:20 brandenb Exp $
;
power,'_mag','hel_mag',k=k,spec1=spec1,spec2=spec2,i=n,tt=t,/noplot,/lks
nt=n_elements(t)
spec1=spec1*2.
spec2=spec2*spread(k,[1],[n-1])
;
yr=[1e-10,1e-2]
!p.multi=[0,2,2]
default,t1_spec,2.0
it1_spec=findex(t1_spec,t) & print,t[it1_spec]
spec1m=reform(spec1[*,it1_spec])
spec2m=reform(spec2[*,it1_spec])
specrm=spec2m/spec1m
;
plot_oo,k[1:*],spec1m[1:*],yr=yr
;
plot_oo,k[1:*],abs(spec2m[1:*]),yr=yr
;
plot_oi,k[1:*],specrm[1:*],yr=[-.1,1]
;
plot_oo,k[1:*],specrm[1:*],yr=[1e-3,1]
xx=[1e3,1e4] & oplot,xx,2e2/xx
xx=[2e3,2e4] & oplot,xx,2e1/xx^.5
;
save,file='hel_specm.sav',t,t1_spec,it1_spec,k, specrm, spec1m, spec2m
spawn,'cvs add -kb hel_specm.sav'
END
