;$Id: pol_analytical_comp.pro,v 1.1 2020/08/14 14:46:56 roper Exp $
if !d.name eq 'PS' then begin
  ;device,xsize=18,ysize=8,yoffset=3
  device,xsize=18,ysize=16,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[7.3,0.5]
!y.margin=[3.2,0.2]
!p.multi=[0,2,2]

dir_ext1='nS_-3.67_nA_-3.67/'
dir_ext2='nS_-3.67_nA_-4.67/'
dir_ext3='nS_-4.33_nA_-4.33/'

yr=[-1,1]

dir='~/tex/roper/helical/data/'
dir1=dir+dir_ext1
dir2=dir+dir_ext2
dir3=dir+dir_ext3

k_ast=2*!DPI*100
file=dir1+'h01.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
plot_oi,k2,P,yr=yr
oplot,k2,P,thick=4,color=60
file=dir1+'h02.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h03.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h04.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h05.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h06.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h07.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h08.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h09.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir1+'h1.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P,thick=4,col=122
!x.title='!8k!6'
!y.title='!13P!6!dGW!n(!8k!6)'
xyouts,5e2,-0.7,'!8n!dA!n!6=-11/3!n',siz=siz
xyouts,5e2,-0.3,'!8n!dS!n!6=-11/3!n',siz=siz
;
; 2nd panel
;
k_ast=2*!DPI*100
file=dir2+'h01.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
plot_oi,k2,P,yr=yr
oplot,k2,P,thick=4,color=60
file=dir2+'h02.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h03.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h04.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h05.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h06.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h07.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h08.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h09.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir2+'h1.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P,thick=4,col=122
!x.title='!8k!6'
!y.title='!13P!6!dGW!n(!8k!6)'
xyouts,5e2,-0.7,'!8n!dA!n!6=-14/3!n',siz=siz
xyouts,5e2,-0.3,'!8n!dS!n!6=-11/3!n',siz=siz
;
; 3rd panel
;
k_ast=2*!DPI*100
file=dir3+'h01.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
plot_oi,k2,P,yr=yr
oplot,k2,P,thick=4,color=60
file=dir3+'h02.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h03.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h04.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h05.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h06.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h07.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h08.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h09.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P
file=dir3+'h1.txt'
c1=rtable(file,2,head=1)
k2=c1[0,*]*k_ast
P=c1[1,*]
oplot,k2,P,thick=4,col=122
!x.title='!8k!6'
!y.title='!13P!6!dGW!n(!8k!6)'
xyouts,5e2,-0.7,'!8n!dA!n!6=-13/3!n',siz=siz
xyouts,5e2,-0.3,'!8n!dS!n!6=-13/3!n',siz=siz



END
