;$Id: ppower_all_last.pro,v 1.2 2018/03/22 18:44:43 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=11,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
!p.charsize=1.7
!x.margin=[5.2,.5]
!y.margin=[3.1,.5]
siz=1.7
;
@parameters
!p.title='!6'
!x.title='!8k!6'
!y.title='!6'
;
default,use_ppower_all_saved,1
;
if use_ppower_all_saved then begin
  restore,'ppower_all_last1.sav'
  xr=[1,max(k)]
endif else begin
  nt=n_elements(t)
  i=nt-1
  spec1_last=reform(spec1(*,i))
  grav1_last=reform(grav1(*,i))
  grah1_last=reform(grah1(*,i))
  stre1_last=reform(stre1(*,i))
endelse
;
plot_oo,k,spec1_last,xr=xr,yr=yr
  circ_sym,1.3,1
  oplot,k,grav1_last,col=55
  ;
  if hdone then begin
    circ_sym,.8,1
    oplot,k,grah1_last,col=155
  endif
  ;
  if Stress_done then begin
    circ_sym,.8,1
    loadct,6
    oplot,k,stre1_last,col=122
    loadct,5
    xx=[1.4,8] & oplot,xx,2.5e-5*xx^3,li=3
  endif
  xx=[1.4,8] & oplot,xx,4.5e-6*xx^2,li=3
  xx=[1.4,8] & oplot,xx,4e-6*xx^0,li=3
  ;
print,"$mv idl.ps ~/tex/roper/GW/fig/ppower_all_last.ps"
stop
;save,file='ppower_all_last1.sav',spec1_last,grav1_last,grah1_last,stre1_last,k
save,file='ppower_all_stress.sav',spec1_last,grav1_last,grah1_last,stre1_last,k
END
