;$Id: pspecm_hel.pro,v 1.5 2020/08/14 14:18:04 brandenb Exp $
if !d.name eq 'PS' then begin
  device,xsize=18,ysize=12,yoffset=3
  !p.charthick=3 & !p.thick=3 & !x.thick=3 & !y.thick=3
end
;
siz=1.8
cwd,run
@parameters
!p.charsize=1.8
!x.margin=[6.8,.5]
!y.margin=[3.2,.5]
default,xout,2e4
xout=1.2e2
default,yout,3e-22
default,energyfac,1.
energyfacm=sqrt(energyfac)
;
half='!s!u 1!n!r!s-!r!d 2!n'
circ_sym,0.7,1
file='specm.sav'
restore,file
;
!x.title='!8ck!6/!8H!6!d*!n'
!x.title='!8k!6'
!y.title='!6'
;!y.title='!8k!dH!nE!6!dGW!n/!13E!6!drad!n  and  !8k!dH!nE!6!dM!n/!13E!6!drad!n'
;!y.title='!8E!6!dGW!n !8k!dH!n!6/!13E!6!drad!n  and  !8E!6!dM!n !8k!dH!n!6/!13E!6!drad!n'
;!y.title='!7X!6!dGW!n(!8k!6)/!8k!6  and  !7X!6!dM!n(!8k!6)/!8k!6'
xr=[k[1],max(k)]
plot_oo,k,spec1m*energyfacm,xr=xr,yr=yr
; oplot,k,spec1m+kine1m,col=55
oplot,k,.5*k*abs(spec2m)*energyfacm,li=1
 oplot,k,.5*k*spec2m*energyfacm,col=122,ps=8
 oplot,k,-.5*k*spec2m*energyfacm,col=55,ps=8
circ_sym,0.5,1
oplot,k,grav1m*energyfac
oplot,k,abs(grav2m)*energyfac,li=1
 oplot,k,grav2m*energyfac,col=122,ps=8
 oplot,k,-grav2m*energyfac,col=55,ps=8
;
;loadct,6
;oplot,k,k^2*grah1m,li=2,col=122,thick=6
;loadct,5
;
;@postproc_specm
@postproc_specm_hel
;
xyouts,xout,yout,label,siz=siz
print,'$mv idl.ps ~/tex/roper/helical/fig/pspecm_'+run+'.ps'
END
