@parameters
pc_read_param,/param2,obj=param2
pc_read_param,obj=param
pc_read_ts,obj=ts
good=where(ts.t gt taver1)
mu0=param.mu5_const
lam=param2.lambda5
eta=param2.eta
vmu=mu0*eta
vlam=mu0/sqrt(lam)
EEM=max(ts.EEM)
EEGW=mean(ts.EEGW(good))
;
print,'$echo lk1_old=1 >> parameters.pro'
default,lk1_old,0
if lk1_old then k1=param.k1 else k1=param.wav1
etak2=eta*k1^2
;
cwd,run
fo="(i3,6e9.1,2e11.3,2x,a)"
openw,1,'psum.tmp'
printf,1,k1,mu0,lam,eta,vmu,vlam,etak2,EEM,EEGW,run,fo=fo
close,1
spawn,'cat psum.tmp'
spawn,'cat psum.tmp >> ../idl/psum.txt'
;
plot_io,ts.t,ts.EEM,yr=[1e-29,1]
oplot,ts.t,ts.EEGW
oplot,ts.t(good),ts.EEGW(good)*0.+EEGW,col=122
END
